lsp-types-2.0.2.0: Haskell library for the Microsoft Language Server Protocol, data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.LSP.Protocol.Lens

Contents

- Generated lens classes

Synopsis

- class HasPartialResultToken s a | s -> a where
  - partialResultToken :: Lens' s a
- class HasPosition s a | s -> a where
  - position :: Lens' s a
- class HasTextDocument s a | s -> a where
  - textDocument :: Lens' s a
- class HasWorkDoneToken s a | s -> a where
  - workDoneToken :: Lens' s a
- class HasRange s a | s -> a where
  - range :: Lens' s a
- class HasUri s a | s -> a where
  - uri :: Lens' s a
- class HasDocumentSelector s a | s -> a where
  - documentSelector :: Lens' s a
- class HasId s a | s -> a where
  - id :: Lens' s a
- class HasWorkDoneProgress s a | s -> a where
  - workDoneProgress :: Lens' s a
- class HasName s a | s -> a where
  - name :: Lens' s a
- class HasEvent s a | s -> a where
  - event :: Lens' s a
- class HasItems s a | s -> a where
  - items :: Lens' s a
- class HasColor s a | s -> a where
  - color :: Lens' s a
- class HasAdditionalTextEdits s a | s -> a where
  - additionalTextEdits :: Lens' s a
- class HasLabel s a | s -> a where
  - label :: Lens' s a
- class HasTextEdit s a | s -> a where
  - textEdit :: Lens' s a
- class HasCollapsedText s a | s -> a where
  - collapsedText :: Lens' s a
- class HasEndCharacter s a | s -> a where
  - endCharacter :: Lens' s a
- class HasEndLine s a | s -> a where
  - endLine :: Lens' s a
- class HasKind s a | s -> a where
  - kind :: Lens' s a
- class HasStartCharacter s a | s -> a where
  - startCharacter :: Lens' s a
- class HasStartLine s a | s -> a where
  - startLine :: Lens' s a
- class HasPositions s a | s -> a where
  - positions :: Lens' s a
- class HasParent s a | s -> a where
  - parent :: Lens' s a
- class HasToken s a | s -> a where
  - token :: Lens' s a
- class HasData_ s a | s -> a where
  - data_ :: Lens' s a
- class HasDetail s a | s -> a where
  - detail :: Lens' s a
- class HasSelectionRange s a | s -> a where
  - selectionRange :: Lens' s a
- class HasTags s a | s -> a where
  - tags :: Lens' s a
- class HasItem s a | s -> a where
  - item :: Lens' s a
- class HasFrom s a | s -> a where
  - from :: Lens' s a
- class HasFromRanges s a | s -> a where
  - fromRanges :: Lens' s a
- class HasTo s a | s -> a where
  - to :: Lens' s a
- class HasResultId s a | s -> a where
  - resultId :: Lens' s a
- class HasFull s a | s -> a where
  - full :: Lens' s a
- class HasLegend s a | s -> a where
  - legend :: Lens' s a
- class HasPreviousResultId s a | s -> a where
  - previousResultId :: Lens' s a
- class HasEdits s a | s -> a where
  - edits :: Lens' s a
- class HasExternal s a | s -> a where
  - external :: Lens' s a
- class HasSelection s a | s -> a where
  - selection :: Lens' s a
- class HasTakeFocus s a | s -> a where
  - takeFocus :: Lens' s a
- class HasSuccess s a | s -> a where
  - success :: Lens' s a
- class HasRanges s a | s -> a where
  - ranges :: Lens' s a
- class HasWordPattern s a | s -> a where
  - wordPattern :: Lens' s a
- class HasFiles s a | s -> a where
  - files :: Lens' s a
- class HasChangeAnnotations s a | s -> a where
  - changeAnnotations :: Lens' s a
- class HasChanges s a | s -> a where
  - changes :: Lens' s a
- class HasDocumentChanges s a | s -> a where
  - documentChanges :: Lens' s a
- class HasFilters s a | s -> a where
  - filters :: Lens' s a
- class HasIdentifier s a | s -> a where
  - identifier :: Lens' s a
- class HasScheme s a | s -> a where
  - scheme :: Lens' s a
- class HasUnique s a | s -> a where
  - unique :: Lens' s a
- class HasContext s a | s -> a where
  - context :: Lens' s a
- class HasPaddingLeft s a | s -> a where
  - paddingLeft :: Lens' s a
- class HasPaddingRight s a | s -> a where
  - paddingRight :: Lens' s a
- class HasTextEdits s a | s -> a where
  - textEdits :: Lens' s a
- class HasTooltip s a | s -> a where
  - tooltip :: Lens' s a
- class HasResolveProvider s a | s -> a where
  - resolveProvider :: Lens' s a
- class HasRelatedDocuments s a | s -> a where
  - relatedDocuments :: Lens' s a
- class HasRetriggerRequest s a | s -> a where
  - retriggerRequest :: Lens' s a
- class HasInterFileDependencies s a | s -> a where
  - interFileDependencies :: Lens' s a
- class HasWorkspaceDiagnostics s a | s -> a where
  - workspaceDiagnostics :: Lens' s a
- class HasPreviousResultIds s a | s -> a where
  - previousResultIds :: Lens' s a
- class HasCellTextDocuments s a | s -> a where
  - cellTextDocuments :: Lens' s a
- class HasNotebookDocument s a | s -> a where
  - notebookDocument :: Lens' s a
- class HasChange s a | s -> a where
  - change :: Lens' s a
- class HasRegistrations s a | s -> a where
  - registrations :: Lens' s a
- class HasUnregisterations s a | s -> a where
  - unregisterations :: Lens' s a
- class HasCapabilities s a | s -> a where
  - capabilities :: Lens' s a
- class HasClientInfo s a | s -> a where
  - clientInfo :: Lens' s a
- class HasInitializationOptions s a | s -> a where
  - initializationOptions :: Lens' s a
- class HasLocale s a | s -> a where
  - locale :: Lens' s a
- class HasProcessId s a | s -> a where
  - processId :: Lens' s a
- class HasRootPath s a | s -> a where
  - rootPath :: Lens' s a
- class HasRootUri s a | s -> a where
  - rootUri :: Lens' s a
- class HasTrace s a | s -> a where
  - trace :: Lens' s a
- class HasWorkspaceFolders s a | s -> a where
  - workspaceFolders :: Lens' s a
- class HasServerInfo s a | s -> a where
  - serverInfo :: Lens' s a
- class HasRetry s a | s -> a where
  - retry :: Lens' s a
- class HasSettings s a | s -> a where
  - settings :: Lens' s a
- class HasSection s a | s -> a where
  - section :: Lens' s a
- class HasMessage s a | s -> a where
  - message :: Lens' s a
- class HasType_ s a | s -> a where
  - type_ :: Lens' s a
- class HasActions s a | s -> a where
  - actions :: Lens' s a
- class HasTitle s a | s -> a where
  - title :: Lens' s a
- class HasContentChanges s a | s -> a where
  - contentChanges :: Lens' s a
- class HasSyncKind s a | s -> a where
  - syncKind :: Lens' s a
- class HasText s a | s -> a where
  - text :: Lens' s a
- class HasIncludeText s a | s -> a where
  - includeText :: Lens' s a
- class HasReason s a | s -> a where
  - reason :: Lens' s a
- class HasNewText s a | s -> a where
  - newText :: Lens' s a
- class HasWatchers s a | s -> a where
  - watchers :: Lens' s a
- class HasDiagnostics s a | s -> a where
  - diagnostics :: Lens' s a
- class HasVersion s a | s -> a where
  - version :: Lens' s a
- class HasCommand s a | s -> a where
  - command :: Lens' s a
- class HasCommitCharacters s a | s -> a where
  - commitCharacters :: Lens' s a
- class HasDeprecated s a | s -> a where
  - deprecated :: Lens' s a
- class HasDocumentation s a | s -> a where
  - documentation :: Lens' s a
- class HasFilterText s a | s -> a where
  - filterText :: Lens' s a
- class HasInsertText s a | s -> a where
  - insertText :: Lens' s a
- class HasInsertTextFormat s a | s -> a where
  - insertTextFormat :: Lens' s a
- class HasInsertTextMode s a | s -> a where
  - insertTextMode :: Lens' s a
- class HasLabelDetails s a | s -> a where
  - labelDetails :: Lens' s a
- class HasPreselect s a | s -> a where
  - preselect :: Lens' s a
- class HasSortText s a | s -> a where
  - sortText :: Lens' s a
- class HasTextEditText s a | s -> a where
  - textEditText :: Lens' s a
- class HasIsIncomplete s a | s -> a where
  - isIncomplete :: Lens' s a
- class HasItemDefaults s a | s -> a where
  - itemDefaults :: Lens' s a
- class HasAllCommitCharacters s a | s -> a where
  - allCommitCharacters :: Lens' s a
- class HasCompletionItem s a | s -> a where
  - completionItem :: Lens' s a
- class HasTriggerCharacters s a | s -> a where
  - triggerCharacters :: Lens' s a
- class HasContents s a | s -> a where
  - contents :: Lens' s a
- class HasActiveParameter s a | s -> a where
  - activeParameter :: Lens' s a
- class HasActiveSignature s a | s -> a where
  - activeSignature :: Lens' s a
- class HasSignatures s a | s -> a where
  - signatures :: Lens' s a
- class HasRetriggerCharacters s a | s -> a where
  - retriggerCharacters :: Lens' s a
- class HasContainerName s a | s -> a where
  - containerName :: Lens' s a
- class HasLocation s a | s -> a where
  - location :: Lens' s a
- class HasChildren s a | s -> a where
  - children :: Lens' s a
- class HasArguments s a | s -> a where
  - arguments :: Lens' s a
- class HasDisabled s a | s -> a where
  - disabled :: Lens' s a
- class HasEdit s a | s -> a where
  - edit :: Lens' s a
- class HasIsPreferred s a | s -> a where
  - isPreferred :: Lens' s a
- class HasCodeActionKinds s a | s -> a where
  - codeActionKinds :: Lens' s a
- class HasQuery s a | s -> a where
  - query :: Lens' s a
- class HasTarget s a | s -> a where
  - target :: Lens' s a
- class HasOptions s a | s -> a where
  - options :: Lens' s a
- class HasCh s a | s -> a where
  - ch :: Lens' s a
- class HasFirstTriggerCharacter s a | s -> a where
  - firstTriggerCharacter :: Lens' s a
- class HasMoreTriggerCharacter s a | s -> a where
  - moreTriggerCharacter :: Lens' s a
- class HasNewName s a | s -> a where
  - newName :: Lens' s a
- class HasPrepareProvider s a | s -> a where
  - prepareProvider :: Lens' s a
- class HasCommands s a | s -> a where
  - commands :: Lens' s a
- class HasApplied s a | s -> a where
  - applied :: Lens' s a
- class HasFailedChange s a | s -> a where
  - failedChange :: Lens' s a
- class HasFailureReason s a | s -> a where
  - failureReason :: Lens' s a
- class HasCancellable s a | s -> a where
  - cancellable :: Lens' s a
- class HasPercentage s a | s -> a where
  - percentage :: Lens' s a
- class HasValue s a | s -> a where
  - value :: Lens' s a
- class HasVerbose s a | s -> a where
  - verbose :: Lens' s a
- class HasOriginSelectionRange s a | s -> a where
  - originSelectionRange :: Lens' s a
- class HasTargetRange s a | s -> a where
  - targetRange :: Lens' s a
- class HasTargetSelectionRange s a | s -> a where
  - targetSelectionRange :: Lens' s a
- class HasTargetUri s a | s -> a where
  - targetUri :: Lens' s a
- class HasEnd s a | s -> a where
  - end :: Lens' s a
- class HasStart s a | s -> a where
  - start :: Lens' s a
- class HasAdded s a | s -> a where
  - added :: Lens' s a
- class HasRemoved s a | s -> a where
  - removed :: Lens' s a
- class HasScopeUri s a | s -> a where
  - scopeUri :: Lens' s a
- class HasAlpha s a | s -> a where
  - alpha :: Lens' s a
- class HasBlue s a | s -> a where
  - blue :: Lens' s a
- class HasGreen s a | s -> a where
  - green :: Lens' s a
- class HasRed s a | s -> a where
  - red :: Lens' s a
- class HasCharacter s a | s -> a where
  - character :: Lens' s a
- class HasLine s a | s -> a where
  - line :: Lens' s a
- class HasDeleteCount s a | s -> a where
  - deleteCount :: Lens' s a
- class HasAnnotationId s a | s -> a where
  - annotationId :: Lens' s a
- class HasNewUri s a | s -> a where
  - newUri :: Lens' s a
- class HasOldUri s a | s -> a where
  - oldUri :: Lens' s a
- class HasDescription s a | s -> a where
  - description :: Lens' s a
- class HasNeedsConfirmation s a | s -> a where
  - needsConfirmation :: Lens' s a
- class HasPattern s a | s -> a where
  - pattern :: Lens' s a
- class HasFrameId s a | s -> a where
  - frameId :: Lens' s a
- class HasStoppedLocation s a | s -> a where
  - stoppedLocation :: Lens' s a
- class HasCaseSensitiveLookup s a | s -> a where
  - caseSensitiveLookup :: Lens' s a
- class HasVariableName s a | s -> a where
  - variableName :: Lens' s a
- class HasExpression s a | s -> a where
  - expression :: Lens' s a
- class HasCells s a | s -> a where
  - cells :: Lens' s a
- class HasMetadata s a | s -> a where
  - metadata :: Lens' s a
- class HasNotebookType s a | s -> a where
  - notebookType :: Lens' s a
- class HasLanguageId s a | s -> a where
  - languageId :: Lens' s a
- class HasMethod s a | s -> a where
  - method :: Lens' s a
- class HasRegisterOptions s a | s -> a where
  - registerOptions :: Lens' s a
- class HasCallHierarchyProvider s a | s -> a where
  - callHierarchyProvider :: Lens' s a
- class HasCodeActionProvider s a | s -> a where
  - codeActionProvider :: Lens' s a
- class HasCodeLensProvider s a | s -> a where
  - codeLensProvider :: Lens' s a
- class HasColorProvider s a | s -> a where
  - colorProvider :: Lens' s a
- class HasCompletionProvider s a | s -> a where
  - completionProvider :: Lens' s a
- class HasDeclarationProvider s a | s -> a where
  - declarationProvider :: Lens' s a
- class HasDefinitionProvider s a | s -> a where
  - definitionProvider :: Lens' s a
- class HasDiagnosticProvider s a | s -> a where
  - diagnosticProvider :: Lens' s a
- class HasDocumentFormattingProvider s a | s -> a where
  - documentFormattingProvider :: Lens' s a
- class HasDocumentHighlightProvider s a | s -> a where
  - documentHighlightProvider :: Lens' s a
- class HasDocumentLinkProvider s a | s -> a where
  - documentLinkProvider :: Lens' s a
- class HasDocumentOnTypeFormattingProvider s a | s -> a where
  - documentOnTypeFormattingProvider :: Lens' s a
- class HasDocumentRangeFormattingProvider s a | s -> a where
  - documentRangeFormattingProvider :: Lens' s a
- class HasDocumentSymbolProvider s a | s -> a where
  - documentSymbolProvider :: Lens' s a
- class HasExecuteCommandProvider s a | s -> a where
  - executeCommandProvider :: Lens' s a
- class HasExperimental s a | s -> a where
  - experimental :: Lens' s a
- class HasFoldingRangeProvider s a | s -> a where
  - foldingRangeProvider :: Lens' s a
- class HasHoverProvider s a | s -> a where
  - hoverProvider :: Lens' s a
- class HasImplementationProvider s a | s -> a where
  - implementationProvider :: Lens' s a
- class HasInlayHintProvider s a | s -> a where
  - inlayHintProvider :: Lens' s a
- class HasInlineValueProvider s a | s -> a where
  - inlineValueProvider :: Lens' s a
- class HasLinkedEditingRangeProvider s a | s -> a where
  - linkedEditingRangeProvider :: Lens' s a
- class HasMonikerProvider s a | s -> a where
  - monikerProvider :: Lens' s a
- class HasNotebookDocumentSync s a | s -> a where
  - notebookDocumentSync :: Lens' s a
- class HasPositionEncoding s a | s -> a where
  - positionEncoding :: Lens' s a
- class HasReferencesProvider s a | s -> a where
  - referencesProvider :: Lens' s a
- class HasRenameProvider s a | s -> a where
  - renameProvider :: Lens' s a
- class HasSelectionRangeProvider s a | s -> a where
  - selectionRangeProvider :: Lens' s a
- class HasSemanticTokensProvider s a | s -> a where
  - semanticTokensProvider :: Lens' s a
- class HasSignatureHelpProvider s a | s -> a where
  - signatureHelpProvider :: Lens' s a
- class HasTextDocumentSync s a | s -> a where
  - textDocumentSync :: Lens' s a
- class HasTypeDefinitionProvider s a | s -> a where
  - typeDefinitionProvider :: Lens' s a
- class HasTypeHierarchyProvider s a | s -> a where
  - typeHierarchyProvider :: Lens' s a
- class HasWorkspace s a | s -> a where
  - workspace :: Lens' s a
- class HasWorkspaceSymbolProvider s a | s -> a where
  - workspaceSymbolProvider :: Lens' s a
- class HasGlobPattern s a | s -> a where
  - globPattern :: Lens' s a
- class HasCode s a | s -> a where
  - code :: Lens' s a
- class HasCodeDescription s a | s -> a where
  - codeDescription :: Lens' s a
- class HasRelatedInformation s a | s -> a where
  - relatedInformation :: Lens' s a
- class HasSeverity s a | s -> a where
  - severity :: Lens' s a
- class HasSource s a | s -> a where
  - source :: Lens' s a
- class HasTriggerCharacter s a | s -> a where
  - triggerCharacter :: Lens' s a
- class HasTriggerKind s a | s -> a where
  - triggerKind :: Lens' s a
- class HasInsert s a | s -> a where
  - insert :: Lens' s a
- class HasReplace s a | s -> a where
  - replace :: Lens' s a
- class HasActiveSignatureHelp s a | s -> a where
  - activeSignatureHelp :: Lens' s a
- class HasIsRetrigger s a | s -> a where
  - isRetrigger :: Lens' s a
- class HasParameters s a | s -> a where
  - parameters :: Lens' s a
- class HasIncludeDeclaration s a | s -> a where
  - includeDeclaration :: Lens' s a
- class HasOnly s a | s -> a where
  - only :: Lens' s a
- class HasInsertFinalNewline s a | s -> a where
  - insertFinalNewline :: Lens' s a
- class HasInsertSpaces s a | s -> a where
  - insertSpaces :: Lens' s a
- class HasTabSize s a | s -> a where
  - tabSize :: Lens' s a
- class HasTrimFinalNewlines s a | s -> a where
  - trimFinalNewlines :: Lens' s a
- class HasTrimTrailingWhitespace s a | s -> a where
  - trimTrailingWhitespace :: Lens' s a
- class HasTokenModifiers s a | s -> a where
  - tokenModifiers :: Lens' s a
- class HasTokenTypes s a | s -> a where
  - tokenTypes :: Lens' s a
- class HasIgnoreIfExists s a | s -> a where
  - ignoreIfExists :: Lens' s a
- class HasOverwrite s a | s -> a where
  - overwrite :: Lens' s a
- class HasIgnoreIfNotExists s a | s -> a where
  - ignoreIfNotExists :: Lens' s a
- class HasRecursive s a | s -> a where
  - recursive :: Lens' s a
- class HasGlob s a | s -> a where
  - glob :: Lens' s a
- class HasMatches s a | s -> a where
  - matches :: Lens' s a
- class HasDocument s a | s -> a where
  - document :: Lens' s a
- class HasExecutionSummary s a | s -> a where
  - executionSummary :: Lens' s a
- class HasGeneral s a | s -> a where
  - general :: Lens' s a
- class HasWindow s a | s -> a where
  - window :: Lens' s a
- class HasOpenClose s a | s -> a where
  - openClose :: Lens' s a
- class HasSave s a | s -> a where
  - save :: Lens' s a
- class HasWillSave s a | s -> a where
  - willSave :: Lens' s a
- class HasWillSaveWaitUntil s a | s -> a where
  - willSaveWaitUntil :: Lens' s a
- class HasNotebookSelector s a | s -> a where
  - notebookSelector :: Lens' s a
- class HasChangeNotifications s a | s -> a where
  - changeNotifications :: Lens' s a
- class HasSupported s a | s -> a where
  - supported :: Lens' s a
- class HasDidCreate s a | s -> a where
  - didCreate :: Lens' s a
- class HasDidDelete s a | s -> a where
  - didDelete :: Lens' s a
- class HasDidRename s a | s -> a where
  - didRename :: Lens' s a
- class HasWillCreate s a | s -> a where
  - willCreate :: Lens' s a
- class HasWillDelete s a | s -> a where
  - willDelete :: Lens' s a
- class HasWillRename s a | s -> a where
  - willRename :: Lens' s a
- class HasHref s a | s -> a where
  - href :: Lens' s a
- class HasLanguage s a | s -> a where
  - language :: Lens' s a
- class HasNotebook s a | s -> a where
  - notebook :: Lens' s a
- class HasIgnoreCase s a | s -> a where
  - ignoreCase :: Lens' s a
- class HasExecutionOrder s a | s -> a where
  - executionOrder :: Lens' s a
- class HasApplyEdit s a | s -> a where
  - applyEdit :: Lens' s a
- class HasCodeLens s a | s -> a where
  - codeLens :: Lens' s a
- class HasConfiguration s a | s -> a where
  - configuration :: Lens' s a
- class HasDidChangeConfiguration s a | s -> a where
  - didChangeConfiguration :: Lens' s a
- class HasDidChangeWatchedFiles s a | s -> a where
  - didChangeWatchedFiles :: Lens' s a
- class HasExecuteCommand s a | s -> a where
  - executeCommand :: Lens' s a
- class HasFileOperations s a | s -> a where
  - fileOperations :: Lens' s a
- class HasInlayHint s a | s -> a where
  - inlayHint :: Lens' s a
- class HasInlineValue s a | s -> a where
  - inlineValue :: Lens' s a
- class HasSemanticTokens s a | s -> a where
  - semanticTokens :: Lens' s a
- class HasSymbol s a | s -> a where
  - symbol :: Lens' s a
- class HasWorkspaceEdit s a | s -> a where
  - workspaceEdit :: Lens' s a
- class HasCallHierarchy s a | s -> a where
  - callHierarchy :: Lens' s a
- class HasCodeAction s a | s -> a where
  - codeAction :: Lens' s a
- class HasCompletion s a | s -> a where
  - completion :: Lens' s a
- class HasDeclaration s a | s -> a where
  - declaration :: Lens' s a
- class HasDefinition s a | s -> a where
  - definition :: Lens' s a
- class HasDiagnostic s a | s -> a where
  - diagnostic :: Lens' s a
- class HasDocumentHighlight s a | s -> a where
  - documentHighlight :: Lens' s a
- class HasDocumentLink s a | s -> a where
  - documentLink :: Lens' s a
- class HasDocumentSymbol s a | s -> a where
  - documentSymbol :: Lens' s a
- class HasFoldingRange s a | s -> a where
  - foldingRange :: Lens' s a
- class HasFormatting s a | s -> a where
  - formatting :: Lens' s a
- class HasHover s a | s -> a where
  - hover :: Lens' s a
- class HasImplementation s a | s -> a where
  - implementation :: Lens' s a
- class HasLinkedEditingRange s a | s -> a where
  - linkedEditingRange :: Lens' s a
- class HasMoniker s a | s -> a where
  - moniker :: Lens' s a
- class HasOnTypeFormatting s a | s -> a where
  - onTypeFormatting :: Lens' s a
- class HasPublishDiagnostics s a | s -> a where
  - publishDiagnostics :: Lens' s a
- class HasRangeFormatting s a | s -> a where
  - rangeFormatting :: Lens' s a
- class HasReferences s a | s -> a where
  - references :: Lens' s a
- class HasRename s a | s -> a where
  - rename :: Lens' s a
- class HasSignatureHelp s a | s -> a where
  - signatureHelp :: Lens' s a
- class HasSynchronization s a | s -> a where
  - synchronization :: Lens' s a
- class HasTypeDefinition s a | s -> a where
  - typeDefinition :: Lens' s a
- class HasTypeHierarchy s a | s -> a where
  - typeHierarchy :: Lens' s a
- class HasShowDocument s a | s -> a where
  - showDocument :: Lens' s a
- class HasShowMessage s a | s -> a where
  - showMessage :: Lens' s a
- class HasMarkdown s a | s -> a where
  - markdown :: Lens' s a
- class HasPositionEncodings s a | s -> a where
  - positionEncodings :: Lens' s a
- class HasRegularExpressions s a | s -> a where
  - regularExpressions :: Lens' s a
- class HasStaleRequestSupport s a | s -> a where
  - staleRequestSupport :: Lens' s a
- class HasBaseUri s a | s -> a where
  - baseUri :: Lens' s a
- class HasChangeAnnotationSupport s a | s -> a where
  - changeAnnotationSupport :: Lens' s a
- class HasFailureHandling s a | s -> a where
  - failureHandling :: Lens' s a
- class HasNormalizesLineEndings s a | s -> a where
  - normalizesLineEndings :: Lens' s a
- class HasResourceOperations s a | s -> a where
  - resourceOperations :: Lens' s a
- class HasDynamicRegistration s a | s -> a where
  - dynamicRegistration :: Lens' s a
- class HasRelativePatternSupport s a | s -> a where
  - relativePatternSupport :: Lens' s a
- class HasResolveSupport s a | s -> a where
  - resolveSupport :: Lens' s a
- class HasSymbolKind s a | s -> a where
  - symbolKind :: Lens' s a
- class HasTagSupport s a | s -> a where
  - tagSupport :: Lens' s a
- class HasRefreshSupport s a | s -> a where
  - refreshSupport :: Lens' s a
- class HasDidSave s a | s -> a where
  - didSave :: Lens' s a
- class HasCompletionItemKind s a | s -> a where
  - completionItemKind :: Lens' s a
- class HasCompletionList s a | s -> a where
  - completionList :: Lens' s a
- class HasContextSupport s a | s -> a where
  - contextSupport :: Lens' s a
- class HasContentFormat s a | s -> a where
  - contentFormat :: Lens' s a
- class HasSignatureInformation s a | s -> a where
  - signatureInformation :: Lens' s a
- class HasLinkSupport s a | s -> a where
  - linkSupport :: Lens' s a
- class HasHierarchicalDocumentSymbolSupport s a | s -> a where
  - hierarchicalDocumentSymbolSupport :: Lens' s a
- class HasLabelSupport s a | s -> a where
  - labelSupport :: Lens' s a
- class HasCodeActionLiteralSupport s a | s -> a where
  - codeActionLiteralSupport :: Lens' s a
- class HasDataSupport s a | s -> a where
  - dataSupport :: Lens' s a
- class HasDisabledSupport s a | s -> a where
  - disabledSupport :: Lens' s a
- class HasHonorsChangeAnnotations s a | s -> a where
  - honorsChangeAnnotations :: Lens' s a
- class HasIsPreferredSupport s a | s -> a where
  - isPreferredSupport :: Lens' s a
- class HasTooltipSupport s a | s -> a where
  - tooltipSupport :: Lens' s a
- class HasPrepareSupport s a | s -> a where
  - prepareSupport :: Lens' s a
- class HasPrepareSupportDefaultBehavior s a | s -> a where
  - prepareSupportDefaultBehavior :: Lens' s a
- class HasFoldingRangeKind s a | s -> a where
  - foldingRangeKind :: Lens' s a
- class HasLineFoldingOnly s a | s -> a where
  - lineFoldingOnly :: Lens' s a
- class HasRangeLimit s a | s -> a where
  - rangeLimit :: Lens' s a
- class HasCodeDescriptionSupport s a | s -> a where
  - codeDescriptionSupport :: Lens' s a
- class HasVersionSupport s a | s -> a where
  - versionSupport :: Lens' s a
- class HasAugmentsSyntaxTokens s a | s -> a where
  - augmentsSyntaxTokens :: Lens' s a
- class HasFormats s a | s -> a where
  - formats :: Lens' s a
- class HasMultilineTokenSupport s a | s -> a where
  - multilineTokenSupport :: Lens' s a
- class HasOverlappingTokenSupport s a | s -> a where
  - overlappingTokenSupport :: Lens' s a
- class HasRequests s a | s -> a where
  - requests :: Lens' s a
- class HasServerCancelSupport s a | s -> a where
  - serverCancelSupport :: Lens' s a
- class HasRelatedDocumentSupport s a | s -> a where
  - relatedDocumentSupport :: Lens' s a
- class HasExecutionSummarySupport s a | s -> a where
  - executionSummarySupport :: Lens' s a
- class HasMessageActionItem s a | s -> a where
  - messageActionItem :: Lens' s a
- class HasSupport s a | s -> a where
  - support :: Lens' s a
- class HasEngine s a | s -> a where
  - engine :: Lens' s a
- class HasAllowedTags s a | s -> a where
  - allowedTags :: Lens' s a
- class HasParser s a | s -> a where
  - parser :: Lens' s a
- class HasLength s a | s -> a where
  - length :: Lens' s a
- class HasStartChar s a | s -> a where
  - startChar :: Lens' s a
- class HasTokenType s a | s -> a where
  - tokenType :: Lens' s a
- class HasDeltaLine s a | s -> a where
  - deltaLine :: Lens' s a
- class HasDeltaStartChar s a | s -> a where
  - deltaStartChar :: Lens' s a
- class HasJsonrpc s a | s -> a where
  - jsonrpc :: Lens' s a
- class HasParams s a | s -> a where
  - params :: Lens' s a
- class HasError s a | s -> a where
  - error :: Lens' s a
- class HasResult s a | s -> a where
  - result :: Lens' s a
- class HasXdata s a | s -> a where
  - xdata :: Lens' s a

# Generated lens classes

class HasPartialResultToken s a | s -> a where #

Methods

partialResultToken :: Lens' s a #

#### Instances

Instances details

HasPartialResultToken CallHierarchyIncomingCallsParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' CallHierarchyIncomingCallsParams (Maybe ProgressToken) #
HasPartialResultToken CallHierarchyOutgoingCallsParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' CallHierarchyOutgoingCallsParams (Maybe ProgressToken) #
HasPartialResultToken CodeActionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' CodeActionParams (Maybe ProgressToken) #
HasPartialResultToken CodeLensParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' CodeLensParams (Maybe ProgressToken) #
HasPartialResultToken ColorPresentationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' ColorPresentationParams (Maybe ProgressToken) #
HasPartialResultToken CompletionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' CompletionParams (Maybe ProgressToken) #
HasPartialResultToken DeclarationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DeclarationParams (Maybe ProgressToken) #
HasPartialResultToken DefinitionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DefinitionParams (Maybe ProgressToken) #
HasPartialResultToken DocumentColorParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DocumentColorParams (Maybe ProgressToken) #
HasPartialResultToken DocumentDiagnosticParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DocumentDiagnosticParams (Maybe ProgressToken) #
HasPartialResultToken DocumentHighlightParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DocumentHighlightParams (Maybe ProgressToken) #
HasPartialResultToken DocumentLinkParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DocumentLinkParams (Maybe ProgressToken) #
HasPartialResultToken DocumentSymbolParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' DocumentSymbolParams (Maybe ProgressToken) #
HasPartialResultToken FoldingRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' FoldingRangeParams (Maybe ProgressToken) #
HasPartialResultToken ImplementationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' ImplementationParams (Maybe ProgressToken) #
HasPartialResultToken MonikerParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' MonikerParams (Maybe ProgressToken) #
HasPartialResultToken PartialResultParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' PartialResultParams (Maybe ProgressToken) #
HasPartialResultToken ReferenceParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' ReferenceParams (Maybe ProgressToken) #
HasPartialResultToken SelectionRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' SelectionRangeParams (Maybe ProgressToken) #
HasPartialResultToken SemanticTokensDeltaParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' SemanticTokensDeltaParams (Maybe ProgressToken) #
HasPartialResultToken SemanticTokensParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' SemanticTokensParams (Maybe ProgressToken) #
HasPartialResultToken SemanticTokensRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' SemanticTokensRangeParams (Maybe ProgressToken) #
HasPartialResultToken TypeDefinitionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' TypeDefinitionParams (Maybe ProgressToken) #
HasPartialResultToken TypeHierarchySubtypesParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' TypeHierarchySubtypesParams (Maybe ProgressToken) #
HasPartialResultToken TypeHierarchySupertypesParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' TypeHierarchySupertypesParams (Maybe ProgressToken) #
HasPartialResultToken WorkspaceDiagnosticParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' WorkspaceDiagnosticParams (Maybe ProgressToken) #
HasPartialResultToken WorkspaceSymbolParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods partialResultToken :: Lens' WorkspaceSymbolParams (Maybe ProgressToken) #

class HasPosition s a | s -> a where #

Methods

position :: Lens' s a #

#### Instances

Instances details

HasPosition CallHierarchyPrepareParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' CallHierarchyPrepareParams Position #
HasPosition CompletionParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' CompletionParams Position #
HasPosition DeclarationParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' DeclarationParams Position #
HasPosition DefinitionParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' DefinitionParams Position #
HasPosition DocumentHighlightParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' DocumentHighlightParams Position #
HasPosition DocumentOnTypeFormattingParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' DocumentOnTypeFormattingParams Position #
HasPosition HoverParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' HoverParams Position #
HasPosition ImplementationParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' ImplementationParams Position #
HasPosition InlayHint Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' InlayHint Position #
HasPosition LinkedEditingRangeParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' LinkedEditingRangeParams Position #
HasPosition MonikerParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' MonikerParams Position #
HasPosition PrepareRenameParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' PrepareRenameParams Position #
HasPosition ReferenceParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' ReferenceParams Position #
HasPosition RenameParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' RenameParams Position #
HasPosition SignatureHelpParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' SignatureHelpParams Position #
HasPosition TextDocumentPositionParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' TextDocumentPositionParams Position #
HasPosition TypeDefinitionParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' TypeDefinitionParams Position #
HasPosition TypeHierarchyPrepareParams Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods position :: Lens' TypeHierarchyPrepareParams Position #

class HasTextDocument s a | s -> a where #

Methods

textDocument :: Lens' s a #

#### Instances

Instances details

HasTextDocument CallHierarchyPrepareParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' CallHierarchyPrepareParams TextDocumentIdentifier #
HasTextDocument CodeActionParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' CodeActionParams TextDocumentIdentifier #
HasTextDocument CodeLensParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' CodeLensParams TextDocumentIdentifier #
HasTextDocument ColorPresentationParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' ColorPresentationParams TextDocumentIdentifier #
HasTextDocument CompletionParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' CompletionParams TextDocumentIdentifier #
HasTextDocument DeclarationParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DeclarationParams TextDocumentIdentifier #
HasTextDocument DefinitionParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DefinitionParams TextDocumentIdentifier #
HasTextDocument DidChangeTextDocumentParams VersionedTextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DidChangeTextDocumentParams VersionedTextDocumentIdentifier #
HasTextDocument DidCloseTextDocumentParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DidCloseTextDocumentParams TextDocumentIdentifier #
HasTextDocument DidOpenTextDocumentParams TextDocumentItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DidOpenTextDocumentParams TextDocumentItem #
HasTextDocument DidSaveTextDocumentParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DidSaveTextDocumentParams TextDocumentIdentifier #
HasTextDocument DocumentColorParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentColorParams TextDocumentIdentifier #
HasTextDocument DocumentDiagnosticParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentDiagnosticParams TextDocumentIdentifier #
HasTextDocument DocumentFormattingParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentFormattingParams TextDocumentIdentifier #
HasTextDocument DocumentHighlightParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentHighlightParams TextDocumentIdentifier #
HasTextDocument DocumentLinkParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentLinkParams TextDocumentIdentifier #
HasTextDocument DocumentOnTypeFormattingParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentOnTypeFormattingParams TextDocumentIdentifier #
HasTextDocument DocumentRangeFormattingParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentRangeFormattingParams TextDocumentIdentifier #
HasTextDocument DocumentSymbolParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' DocumentSymbolParams TextDocumentIdentifier #
HasTextDocument FoldingRangeParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' FoldingRangeParams TextDocumentIdentifier #
HasTextDocument HoverParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' HoverParams TextDocumentIdentifier #
HasTextDocument ImplementationParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' ImplementationParams TextDocumentIdentifier #
HasTextDocument InlayHintParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' InlayHintParams TextDocumentIdentifier #
HasTextDocument InlineValueParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' InlineValueParams TextDocumentIdentifier #
HasTextDocument LinkedEditingRangeParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' LinkedEditingRangeParams TextDocumentIdentifier #
HasTextDocument MonikerParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' MonikerParams TextDocumentIdentifier #
HasTextDocument PrepareRenameParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' PrepareRenameParams TextDocumentIdentifier #
HasTextDocument ReferenceParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' ReferenceParams TextDocumentIdentifier #
HasTextDocument RenameParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' RenameParams TextDocumentIdentifier #
HasTextDocument SelectionRangeParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' SelectionRangeParams TextDocumentIdentifier #
HasTextDocument SemanticTokensDeltaParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' SemanticTokensDeltaParams TextDocumentIdentifier #
HasTextDocument SemanticTokensParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' SemanticTokensParams TextDocumentIdentifier #
HasTextDocument SemanticTokensRangeParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' SemanticTokensRangeParams TextDocumentIdentifier #
HasTextDocument SignatureHelpParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' SignatureHelpParams TextDocumentIdentifier #
HasTextDocument TextDocumentEdit OptionalVersionedTextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' TextDocumentEdit OptionalVersionedTextDocumentIdentifier #
HasTextDocument TextDocumentPositionParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' TextDocumentPositionParams TextDocumentIdentifier #
HasTextDocument TypeDefinitionParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' TypeDefinitionParams TextDocumentIdentifier #
HasTextDocument TypeHierarchyPrepareParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' TypeHierarchyPrepareParams TextDocumentIdentifier #
HasTextDocument WillSaveTextDocumentParams TextDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' WillSaveTextDocumentParams TextDocumentIdentifier #
HasTextDocument ClientCapabilities (Maybe TextDocumentClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocument :: Lens' ClientCapabilities (Maybe TextDocumentClientCapabilities) #

class HasWorkDoneToken s a | s -> a where #

Methods

workDoneToken :: Lens' s a #

#### Instances

Instances details

HasWorkDoneToken CallHierarchyIncomingCallsParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CallHierarchyIncomingCallsParams (Maybe ProgressToken) #
HasWorkDoneToken CallHierarchyOutgoingCallsParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CallHierarchyOutgoingCallsParams (Maybe ProgressToken) #
HasWorkDoneToken CallHierarchyPrepareParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CallHierarchyPrepareParams (Maybe ProgressToken) #
HasWorkDoneToken CodeActionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CodeActionParams (Maybe ProgressToken) #
HasWorkDoneToken CodeLensParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CodeLensParams (Maybe ProgressToken) #
HasWorkDoneToken ColorPresentationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' ColorPresentationParams (Maybe ProgressToken) #
HasWorkDoneToken CompletionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' CompletionParams (Maybe ProgressToken) #
HasWorkDoneToken DeclarationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DeclarationParams (Maybe ProgressToken) #
HasWorkDoneToken DefinitionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DefinitionParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentColorParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentColorParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentDiagnosticParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentDiagnosticParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentFormattingParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentFormattingParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentHighlightParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentHighlightParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentLinkParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentLinkParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentRangeFormattingParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentRangeFormattingParams (Maybe ProgressToken) #
HasWorkDoneToken DocumentSymbolParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' DocumentSymbolParams (Maybe ProgressToken) #
HasWorkDoneToken ExecuteCommandParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' ExecuteCommandParams (Maybe ProgressToken) #
HasWorkDoneToken FoldingRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' FoldingRangeParams (Maybe ProgressToken) #
HasWorkDoneToken HoverParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' HoverParams (Maybe ProgressToken) #
HasWorkDoneToken ImplementationParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' ImplementationParams (Maybe ProgressToken) #
HasWorkDoneToken InitializeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' InitializeParams (Maybe ProgressToken) #
HasWorkDoneToken InlayHintParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' InlayHintParams (Maybe ProgressToken) #
HasWorkDoneToken InlineValueParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' InlineValueParams (Maybe ProgressToken) #
HasWorkDoneToken LinkedEditingRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' LinkedEditingRangeParams (Maybe ProgressToken) #
HasWorkDoneToken MonikerParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' MonikerParams (Maybe ProgressToken) #
HasWorkDoneToken PrepareRenameParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' PrepareRenameParams (Maybe ProgressToken) #
HasWorkDoneToken ReferenceParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' ReferenceParams (Maybe ProgressToken) #
HasWorkDoneToken RenameParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' RenameParams (Maybe ProgressToken) #
HasWorkDoneToken SelectionRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' SelectionRangeParams (Maybe ProgressToken) #
HasWorkDoneToken SemanticTokensDeltaParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' SemanticTokensDeltaParams (Maybe ProgressToken) #
HasWorkDoneToken SemanticTokensParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' SemanticTokensParams (Maybe ProgressToken) #
HasWorkDoneToken SemanticTokensRangeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' SemanticTokensRangeParams (Maybe ProgressToken) #
HasWorkDoneToken SignatureHelpParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' SignatureHelpParams (Maybe ProgressToken) #
HasWorkDoneToken TypeDefinitionParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' TypeDefinitionParams (Maybe ProgressToken) #
HasWorkDoneToken TypeHierarchyPrepareParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' TypeHierarchyPrepareParams (Maybe ProgressToken) #
HasWorkDoneToken TypeHierarchySubtypesParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' TypeHierarchySubtypesParams (Maybe ProgressToken) #
HasWorkDoneToken TypeHierarchySupertypesParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' TypeHierarchySupertypesParams (Maybe ProgressToken) #
HasWorkDoneToken UInitializeParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' UInitializeParams (Maybe ProgressToken) #
HasWorkDoneToken WorkDoneProgressParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' WorkDoneProgressParams (Maybe ProgressToken) #
HasWorkDoneToken WorkspaceDiagnosticParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' WorkspaceDiagnosticParams (Maybe ProgressToken) #
HasWorkDoneToken WorkspaceSymbolParams (Maybe ProgressToken) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneToken :: Lens' WorkspaceSymbolParams (Maybe ProgressToken) #

class HasRange s a | s -> a where #

Methods

range :: Lens' s a #

#### Instances

Instances details

HasRange AnnotatedTextEdit Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' AnnotatedTextEdit Range #
HasRange CallHierarchyItem Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' CallHierarchyItem Range #
HasRange CodeActionParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' CodeActionParams Range #
HasRange CodeLens Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' CodeLens Range #
HasRange ColorInformation Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' ColorInformation Range #
HasRange ColorPresentationParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' ColorPresentationParams Range #
HasRange Diagnostic Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' Diagnostic Range #
HasRange DocumentHighlight Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' DocumentHighlight Range #
HasRange DocumentLink Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' DocumentLink Range #
HasRange DocumentRangeFormattingParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' DocumentRangeFormattingParams Range #
HasRange DocumentSymbol Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' DocumentSymbol Range #
HasRange InlayHintParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' InlayHintParams Range #
HasRange InlineValueEvaluatableExpression Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' InlineValueEvaluatableExpression Range #
HasRange InlineValueParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' InlineValueParams Range #
HasRange InlineValueText Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' InlineValueText Range #
HasRange InlineValueVariableLookup Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' InlineValueVariableLookup Range #
HasRange Location Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' Location Range #
HasRange SelectionRange Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' SelectionRange Range #
HasRange SemanticTokensRangeParams Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' SemanticTokensRangeParams Range #
HasRange TextEdit Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' TextEdit Range #
HasRange TypeHierarchyItem Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' TypeHierarchyItem Range #
HasRange Hover (Maybe Range) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' Hover (Maybe Range) #
HasRange SemanticTokensOptions (Maybe (Bool |? Rec (Empty :: Row Type))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' SemanticTokensOptions (Maybe (Bool |? Rec Empty)) #
HasRange SemanticTokensRegistrationOptions (Maybe (Bool |? Rec (Empty :: Row Type))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods range :: Lens' SemanticTokensRegistrationOptions (Maybe (Bool |? Rec Empty)) #

class HasUri s a | s -> a where #

Methods

uri :: Lens' s a #

#### Instances

Instances details

HasUri CallHierarchyItem Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' CallHierarchyItem Uri #
HasUri CreateFile Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' CreateFile Uri #
HasUri DeleteFile Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' DeleteFile Uri #
HasUri FileCreate Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' FileCreate Text #
HasUri FileDelete Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' FileDelete Text #
HasUri FileEvent Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' FileEvent Uri #
HasUri Location Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' Location Uri #
HasUri NotebookDocument Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' NotebookDocument Uri #
HasUri NotebookDocumentIdentifier Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' NotebookDocumentIdentifier Uri #
HasUri OptionalVersionedTextDocumentIdentifier Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' OptionalVersionedTextDocumentIdentifier Uri #
HasUri PreviousResultId Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' PreviousResultId Uri #
HasUri PublishDiagnosticsParams Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' PublishDiagnosticsParams Uri #
HasUri ShowDocumentParams Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' ShowDocumentParams Uri #
HasUri TextDocumentIdentifier Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' TextDocumentIdentifier Uri #
HasUri TextDocumentItem Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' TextDocumentItem Uri #
HasUri TypeHierarchyItem Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' TypeHierarchyItem Uri #
HasUri VersionedNotebookDocumentIdentifier Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' VersionedNotebookDocumentIdentifier Uri #
HasUri VersionedTextDocumentIdentifier Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' VersionedTextDocumentIdentifier Uri #
HasUri WorkspaceFolder Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' WorkspaceFolder Uri #
HasUri WorkspaceFullDocumentDiagnosticReport Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' WorkspaceFullDocumentDiagnosticReport Uri #
HasUri WorkspaceUnchangedDocumentDiagnosticReport Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods uri :: Lens' WorkspaceUnchangedDocumentDiagnosticReport Uri #

class HasDocumentSelector s a | s -> a where #

Methods

documentSelector :: Lens' s a #

#### Instances

Instances details

HasDocumentSelector CallHierarchyRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' CallHierarchyRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector CodeActionRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' CodeActionRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector CodeLensRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' CodeLensRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector CompletionRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' CompletionRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DeclarationRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DeclarationRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DefinitionRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DefinitionRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DiagnosticRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DiagnosticRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentColorRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentColorRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentFormattingRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentFormattingRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentHighlightRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentHighlightRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentLinkRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentLinkRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentOnTypeFormattingRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentOnTypeFormattingRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentRangeFormattingRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentRangeFormattingRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector DocumentSymbolRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' DocumentSymbolRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector FoldingRangeRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' FoldingRangeRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector HoverRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' HoverRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector ImplementationRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' ImplementationRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector InlayHintRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' InlayHintRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector InlineValueRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' InlineValueRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector LinkedEditingRangeRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' LinkedEditingRangeRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector MonikerRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' MonikerRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector ReferenceRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' ReferenceRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector RenameRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' RenameRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector SelectionRangeRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' SelectionRangeRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector SemanticTokensRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' SemanticTokensRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector SignatureHelpRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' SignatureHelpRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector TextDocumentChangeRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' TextDocumentChangeRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector TextDocumentRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' TextDocumentRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector TextDocumentSaveRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' TextDocumentSaveRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector TypeDefinitionRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' TypeDefinitionRegistrationOptions (DocumentSelector |? Null) #
HasDocumentSelector TypeHierarchyRegistrationOptions (DocumentSelector |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSelector :: Lens' TypeHierarchyRegistrationOptions (DocumentSelector |? Null) #

class HasId s a | s -> a where #

Methods

id :: Lens' s a #

#### Instances

Instances details

HasId Registration Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' Registration Text #
HasId Unregistration Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' Unregistration Text #
HasId CallHierarchyRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' CallHierarchyRegistrationOptions (Maybe Text) #
HasId DeclarationRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' DeclarationRegistrationOptions (Maybe Text) #
HasId DiagnosticRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' DiagnosticRegistrationOptions (Maybe Text) #
HasId DocumentColorRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' DocumentColorRegistrationOptions (Maybe Text) #
HasId FoldingRangeRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' FoldingRangeRegistrationOptions (Maybe Text) #
HasId ImplementationRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' ImplementationRegistrationOptions (Maybe Text) #
HasId InlayHintRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' InlayHintRegistrationOptions (Maybe Text) #
HasId InlineValueRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' InlineValueRegistrationOptions (Maybe Text) #
HasId LinkedEditingRangeRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' LinkedEditingRangeRegistrationOptions (Maybe Text) #
HasId NotebookDocumentSyncRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' NotebookDocumentSyncRegistrationOptions (Maybe Text) #
HasId SelectionRangeRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' SelectionRangeRegistrationOptions (Maybe Text) #
HasId SemanticTokensRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' SemanticTokensRegistrationOptions (Maybe Text) #
HasId StaticRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' StaticRegistrationOptions (Maybe Text) #
HasId TypeDefinitionRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' TypeDefinitionRegistrationOptions (Maybe Text) #
HasId TypeHierarchyRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' TypeHierarchyRegistrationOptions (Maybe Text) #
HasId CancelParams (Int32 |? Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods id :: Lens' CancelParams (Int32 |? Text) #
HasId RequestMessage (Int32 |? Text) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' RequestMessage (Int32 |? Text) #
HasId ResponseMessage (Int32 |? (Text |? Null)) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' ResponseMessage (Int32 |? (Text |? Null)) #
HasId (TRegistration m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' (TRegistration m) Text #
HasId (TUnregistration m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' (TUnregistration m) Text #
HasId (TResponseMessage m) (Maybe (LspId m)) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' (TResponseMessage m) (Maybe (LspId m)) #
HasId (TRequestMessage m) (LspId m) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods id :: Lens' (TRequestMessage m) (LspId m) #

class HasWorkDoneProgress s a | s -> a where #

Methods

workDoneProgress :: Lens' s a #

#### Instances

Instances details

HasWorkDoneProgress CallHierarchyOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CallHierarchyOptions (Maybe Bool) #
HasWorkDoneProgress CallHierarchyRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CallHierarchyRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress CodeActionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CodeActionOptions (Maybe Bool) #
HasWorkDoneProgress CodeActionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CodeActionRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress CodeLensOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CodeLensOptions (Maybe Bool) #
HasWorkDoneProgress CodeLensRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CodeLensRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress CompletionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CompletionOptions (Maybe Bool) #
HasWorkDoneProgress CompletionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' CompletionRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DeclarationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DeclarationOptions (Maybe Bool) #
HasWorkDoneProgress DeclarationRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DeclarationRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DefinitionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DefinitionOptions (Maybe Bool) #
HasWorkDoneProgress DefinitionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DefinitionRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DiagnosticOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DiagnosticOptions (Maybe Bool) #
HasWorkDoneProgress DiagnosticRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DiagnosticRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentColorOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentColorOptions (Maybe Bool) #
HasWorkDoneProgress DocumentColorRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentColorRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentFormattingOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentFormattingOptions (Maybe Bool) #
HasWorkDoneProgress DocumentFormattingRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentFormattingRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentHighlightOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentHighlightOptions (Maybe Bool) #
HasWorkDoneProgress DocumentHighlightRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentHighlightRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentLinkOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentLinkOptions (Maybe Bool) #
HasWorkDoneProgress DocumentLinkRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentLinkRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentRangeFormattingOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentRangeFormattingOptions (Maybe Bool) #
HasWorkDoneProgress DocumentRangeFormattingRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentRangeFormattingRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress DocumentSymbolOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentSymbolOptions (Maybe Bool) #
HasWorkDoneProgress DocumentSymbolRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' DocumentSymbolRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress ExecuteCommandOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ExecuteCommandOptions (Maybe Bool) #
HasWorkDoneProgress ExecuteCommandRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ExecuteCommandRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress FoldingRangeOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' FoldingRangeOptions (Maybe Bool) #
HasWorkDoneProgress FoldingRangeRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' FoldingRangeRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress HoverOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' HoverOptions (Maybe Bool) #
HasWorkDoneProgress HoverRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' HoverRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress ImplementationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ImplementationOptions (Maybe Bool) #
HasWorkDoneProgress ImplementationRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ImplementationRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress InlayHintOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' InlayHintOptions (Maybe Bool) #
HasWorkDoneProgress InlayHintRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' InlayHintRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress InlineValueOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' InlineValueOptions (Maybe Bool) #
HasWorkDoneProgress InlineValueRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' InlineValueRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress LinkedEditingRangeOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' LinkedEditingRangeOptions (Maybe Bool) #
HasWorkDoneProgress LinkedEditingRangeRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' LinkedEditingRangeRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress MonikerOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' MonikerOptions (Maybe Bool) #
HasWorkDoneProgress MonikerRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' MonikerRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress ReferenceOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ReferenceOptions (Maybe Bool) #
HasWorkDoneProgress ReferenceRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' ReferenceRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress RenameOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' RenameOptions (Maybe Bool) #
HasWorkDoneProgress RenameRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' RenameRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress SelectionRangeOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SelectionRangeOptions (Maybe Bool) #
HasWorkDoneProgress SelectionRangeRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SelectionRangeRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress SemanticTokensOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SemanticTokensOptions (Maybe Bool) #
HasWorkDoneProgress SemanticTokensRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SemanticTokensRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress SignatureHelpOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SignatureHelpOptions (Maybe Bool) #
HasWorkDoneProgress SignatureHelpRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' SignatureHelpRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress TypeDefinitionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' TypeDefinitionOptions (Maybe Bool) #
HasWorkDoneProgress TypeDefinitionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' TypeDefinitionRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress TypeHierarchyOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' TypeHierarchyOptions (Maybe Bool) #
HasWorkDoneProgress TypeHierarchyRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' TypeHierarchyRegistrationOptions (Maybe Bool) #
HasWorkDoneProgress WindowClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' WindowClientCapabilities (Maybe Bool) #
HasWorkDoneProgress WorkDoneProgressOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' WorkDoneProgressOptions (Maybe Bool) #
HasWorkDoneProgress WorkspaceSymbolOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' WorkspaceSymbolOptions (Maybe Bool) #
HasWorkDoneProgress WorkspaceSymbolRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workDoneProgress :: Lens' WorkspaceSymbolRegistrationOptions (Maybe Bool) #

class HasName s a | s -> a where #

Methods

name :: Lens' s a #

#### Instances

Instances details

HasName BaseSymbolInformation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' BaseSymbolInformation Text #
HasName CallHierarchyItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' CallHierarchyItem Text #
HasName DocumentSymbol Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' DocumentSymbol Text #
HasName SymbolInformation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' SymbolInformation Text #
HasName TypeHierarchyItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' TypeHierarchyItem Text #
HasName WorkspaceFolder Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' WorkspaceFolder Text #
HasName WorkspaceSymbol Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods name :: Lens' WorkspaceSymbol Text #

class HasEvent s a | s -> a where #

Methods

event :: Lens' s a #

#### Instances

Instances details

HasEvent DidChangeWorkspaceFoldersParams WorkspaceFoldersChangeEvent # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods event :: Lens' DidChangeWorkspaceFoldersParams WorkspaceFoldersChangeEvent #

class HasItems s a | s -> a where #

Methods

items :: Lens' s a #

#### Instances

Instances details

HasItems CompletionList [CompletionItem] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' CompletionList [CompletionItem] #
HasItems ConfigurationParams [ConfigurationItem] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' ConfigurationParams [ConfigurationItem] #
HasItems FullDocumentDiagnosticReport [Diagnostic] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' FullDocumentDiagnosticReport [Diagnostic] #
HasItems RelatedFullDocumentDiagnosticReport [Diagnostic] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' RelatedFullDocumentDiagnosticReport [Diagnostic] #
HasItems WorkspaceDiagnosticReport [WorkspaceDocumentDiagnosticReport] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' WorkspaceDiagnosticReport [WorkspaceDocumentDiagnosticReport] #
HasItems WorkspaceDiagnosticReportPartialResult [WorkspaceDocumentDiagnosticReport] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' WorkspaceDiagnosticReportPartialResult [WorkspaceDocumentDiagnosticReport] #
HasItems WorkspaceFullDocumentDiagnosticReport [Diagnostic] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods items :: Lens' WorkspaceFullDocumentDiagnosticReport [Diagnostic] #

class HasColor s a | s -> a where #

Methods

color :: Lens' s a #

#### Instances

Instances details

HasColor ColorInformation Color # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods color :: Lens' ColorInformation Color #
HasColor ColorPresentationParams Color # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods color :: Lens' ColorPresentationParams Color #

class HasAdditionalTextEdits s a | s -> a where #

Methods

additionalTextEdits :: Lens' s a #

#### Instances

Instances details

HasAdditionalTextEdits ColorPresentation (Maybe [TextEdit]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods additionalTextEdits :: Lens' ColorPresentation (Maybe [TextEdit]) #
HasAdditionalTextEdits CompletionItem (Maybe [TextEdit]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods additionalTextEdits :: Lens' CompletionItem (Maybe [TextEdit]) #

class HasLabel s a | s -> a where #

Methods

label :: Lens' s a #

#### Instances

Instances details

HasLabel ChangeAnnotation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' ChangeAnnotation Text #
HasLabel ColorPresentation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' ColorPresentation Text #
HasLabel CompletionItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' CompletionItem Text #
HasLabel SignatureInformation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' SignatureInformation Text #
HasLabel ApplyWorkspaceEditParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' ApplyWorkspaceEditParams (Maybe Text) #
HasLabel DocumentSymbolOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' DocumentSymbolOptions (Maybe Text) #
HasLabel DocumentSymbolRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' DocumentSymbolRegistrationOptions (Maybe Text) #
HasLabel InlayHint (Text |? [InlayHintLabelPart]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' InlayHint (Text |? [InlayHintLabelPart]) #
HasLabel ParameterInformation (Text |? (UInt, UInt)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods label :: Lens' ParameterInformation (Text |? (UInt, UInt)) #

class HasTextEdit s a | s -> a where #

Methods

textEdit :: Lens' s a #

#### Instances

Instances details

HasTextEdit ColorPresentation (Maybe TextEdit) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textEdit :: Lens' ColorPresentation (Maybe TextEdit) #
HasTextEdit CompletionItem (Maybe (TextEdit |? InsertReplaceEdit)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textEdit :: Lens' CompletionItem (Maybe (TextEdit |? InsertReplaceEdit)) #

class HasCollapsedText s a | s -> a where #

Methods

collapsedText :: Lens' s a #

#### Instances

Instances details

HasCollapsedText FoldingRange (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods collapsedText :: Lens' FoldingRange (Maybe Text) #

class HasEndCharacter s a | s -> a where #

Methods

endCharacter :: Lens' s a #

#### Instances

Instances details

HasEndCharacter FoldingRange (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods endCharacter :: Lens' FoldingRange (Maybe UInt) #

class HasEndLine s a | s -> a where #

Methods

endLine :: Lens' s a #

#### Instances

Instances details

HasEndLine FoldingRange UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods endLine :: Lens' FoldingRange UInt #

class HasKind s a | s -> a where #

Methods

kind :: Lens' s a #

#### Instances

Instances details

HasKind BaseSymbolInformation SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' BaseSymbolInformation SymbolKind #
HasKind CallHierarchyItem SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' CallHierarchyItem SymbolKind #
HasKind DocumentSymbol SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' DocumentSymbol SymbolKind #
HasKind MarkupContent MarkupKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' MarkupContent MarkupKind #
HasKind NotebookCell NotebookCellKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' NotebookCell NotebookCellKind #
HasKind ResourceOperation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' ResourceOperation Text #
HasKind SymbolInformation SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' SymbolInformation SymbolKind #
HasKind TypeHierarchyItem SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' TypeHierarchyItem SymbolKind #
HasKind WorkspaceSymbol SymbolKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkspaceSymbol SymbolKind #
HasKind CodeAction (Maybe CodeActionKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' CodeAction (Maybe CodeActionKind) #
HasKind CompletionItem (Maybe CompletionItemKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' CompletionItem (Maybe CompletionItemKind) #
HasKind CreateFile (AString "create") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' CreateFile (AString "create") #
HasKind DeleteFile (AString "delete") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' DeleteFile (AString "delete") #
HasKind DocumentHighlight (Maybe DocumentHighlightKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' DocumentHighlight (Maybe DocumentHighlightKind) #
HasKind FileSystemWatcher (Maybe WatchKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' FileSystemWatcher (Maybe WatchKind) #
HasKind FoldingRange (Maybe FoldingRangeKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' FoldingRange (Maybe FoldingRangeKind) #
HasKind FullDocumentDiagnosticReport (AString "full") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' FullDocumentDiagnosticReport (AString "full") #
HasKind InlayHint (Maybe InlayHintKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' InlayHint (Maybe InlayHintKind) #
HasKind Moniker (Maybe MonikerKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' Moniker (Maybe MonikerKind) #
HasKind RelatedFullDocumentDiagnosticReport (AString "full") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' RelatedFullDocumentDiagnosticReport (AString "full") #
HasKind RelatedUnchangedDocumentDiagnosticReport (AString "unchanged") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' RelatedUnchangedDocumentDiagnosticReport (AString "unchanged") #
HasKind RenameFile (AString "rename") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' RenameFile (AString "rename") #
HasKind UnchangedDocumentDiagnosticReport (AString "unchanged") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' UnchangedDocumentDiagnosticReport (AString "unchanged") #
HasKind WorkDoneProgressBegin (AString "begin") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkDoneProgressBegin (AString "begin") #
HasKind WorkDoneProgressEnd (AString "end") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkDoneProgressEnd (AString "end") #
HasKind WorkDoneProgressReport (AString "report") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkDoneProgressReport (AString "report") #
HasKind WorkspaceFullDocumentDiagnosticReport (AString "full") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkspaceFullDocumentDiagnosticReport (AString "full") #
HasKind WorkspaceUnchangedDocumentDiagnosticReport (AString "unchanged") # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods kind :: Lens' WorkspaceUnchangedDocumentDiagnosticReport (AString "unchanged") #

class HasStartCharacter s a | s -> a where #

Methods

startCharacter :: Lens' s a #

#### Instances

Instances details

HasStartCharacter FoldingRange (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods startCharacter :: Lens' FoldingRange (Maybe UInt) #

class HasStartLine s a | s -> a where #

Methods

startLine :: Lens' s a #

#### Instances

Instances details

HasStartLine FoldingRange UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods startLine :: Lens' FoldingRange UInt #

class HasPositions s a | s -> a where #

Methods

positions :: Lens' s a #

#### Instances

Instances details

HasPositions SelectionRangeParams [Position] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods positions :: Lens' SelectionRangeParams [Position] #

class HasParent s a | s -> a where #

Methods

parent :: Lens' s a #

#### Instances

Instances details

HasParent SelectionRange (Maybe SelectionRange) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods parent :: Lens' SelectionRange (Maybe SelectionRange) #

class HasToken s a | s -> a where #

Methods

token :: Lens' s a #

#### Instances

Instances details

HasToken ProgressParams ProgressToken # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods token :: Lens' ProgressParams ProgressToken #
HasToken WorkDoneProgressCancelParams ProgressToken # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods token :: Lens' WorkDoneProgressCancelParams ProgressToken #
HasToken WorkDoneProgressCreateParams ProgressToken # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods token :: Lens' WorkDoneProgressCreateParams ProgressToken #

class HasData_ s a | s -> a where #

Methods

data_ :: Lens' s a #

#### Instances

Instances details

HasData_ CallHierarchyItem (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' CallHierarchyItem (Maybe Value) #
HasData_ CodeAction (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' CodeAction (Maybe Value) #
HasData_ CodeLens (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' CodeLens (Maybe Value) #
HasData_ CompletionItem (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' CompletionItem (Maybe Value) #
HasData_ Diagnostic (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' Diagnostic (Maybe Value) #
HasData_ DocumentLink (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' DocumentLink (Maybe Value) #
HasData_ InlayHint (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' InlayHint (Maybe Value) #
HasData_ SemanticTokens [UInt] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' SemanticTokens [UInt] #
HasData_ SemanticTokensEdit (Maybe [UInt]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' SemanticTokensEdit (Maybe [UInt]) #
HasData_ SemanticTokensPartialResult [UInt] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' SemanticTokensPartialResult [UInt] #
HasData_ TypeHierarchyItem (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' TypeHierarchyItem (Maybe Value) #
HasData_ WorkspaceSymbol (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods data_ :: Lens' WorkspaceSymbol (Maybe Value) #

class HasDetail s a | s -> a where #

Methods

detail :: Lens' s a #

#### Instances

Instances details

HasDetail CallHierarchyItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods detail :: Lens' CallHierarchyItem (Maybe Text) #
HasDetail CompletionItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods detail :: Lens' CompletionItem (Maybe Text) #
HasDetail CompletionItemLabelDetails (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods detail :: Lens' CompletionItemLabelDetails (Maybe Text) #
HasDetail DocumentSymbol (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods detail :: Lens' DocumentSymbol (Maybe Text) #
HasDetail TypeHierarchyItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods detail :: Lens' TypeHierarchyItem (Maybe Text) #

class HasSelectionRange s a | s -> a where #

Methods

selectionRange :: Lens' s a #

#### Instances

Instances details

HasSelectionRange CallHierarchyItem Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selectionRange :: Lens' CallHierarchyItem Range #
HasSelectionRange DocumentSymbol Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selectionRange :: Lens' DocumentSymbol Range #
HasSelectionRange TypeHierarchyItem Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selectionRange :: Lens' TypeHierarchyItem Range #
HasSelectionRange TextDocumentClientCapabilities (Maybe SelectionRangeClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selectionRange :: Lens' TextDocumentClientCapabilities (Maybe SelectionRangeClientCapabilities) #

class HasTags s a | s -> a where #

Methods

tags :: Lens' s a #

#### Instances

Instances details

HasTags BaseSymbolInformation (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' BaseSymbolInformation (Maybe [SymbolTag]) #
HasTags CallHierarchyItem (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' CallHierarchyItem (Maybe [SymbolTag]) #
HasTags CompletionItem (Maybe [CompletionItemTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' CompletionItem (Maybe [CompletionItemTag]) #
HasTags Diagnostic (Maybe [DiagnosticTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' Diagnostic (Maybe [DiagnosticTag]) #
HasTags DocumentSymbol (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' DocumentSymbol (Maybe [SymbolTag]) #
HasTags SymbolInformation (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' SymbolInformation (Maybe [SymbolTag]) #
HasTags TypeHierarchyItem (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' TypeHierarchyItem (Maybe [SymbolTag]) #
HasTags WorkspaceSymbol (Maybe [SymbolTag]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tags :: Lens' WorkspaceSymbol (Maybe [SymbolTag]) #

class HasItem s a | s -> a where #

Methods

item :: Lens' s a #

#### Instances

Instances details

HasItem CallHierarchyIncomingCallsParams CallHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods item :: Lens' CallHierarchyIncomingCallsParams CallHierarchyItem #
HasItem CallHierarchyOutgoingCallsParams CallHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods item :: Lens' CallHierarchyOutgoingCallsParams CallHierarchyItem #
HasItem TypeHierarchySubtypesParams TypeHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods item :: Lens' TypeHierarchySubtypesParams TypeHierarchyItem #
HasItem TypeHierarchySupertypesParams TypeHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods item :: Lens' TypeHierarchySupertypesParams TypeHierarchyItem #

class HasFrom s a | s -> a where #

Methods

from :: Lens' s a #

#### Instances

Instances details

HasFrom CallHierarchyIncomingCall CallHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods from :: Lens' CallHierarchyIncomingCall CallHierarchyItem #

class HasFromRanges s a | s -> a where #

Methods

fromRanges :: Lens' s a #

#### Instances

Instances details

HasFromRanges CallHierarchyIncomingCall [Range] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods fromRanges :: Lens' CallHierarchyIncomingCall [Range] #
HasFromRanges CallHierarchyOutgoingCall [Range] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods fromRanges :: Lens' CallHierarchyOutgoingCall [Range] #

class HasTo s a | s -> a where #

Methods

to :: Lens' s a #

#### Instances

Instances details

HasTo CallHierarchyOutgoingCall CallHierarchyItem # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods to :: Lens' CallHierarchyOutgoingCall CallHierarchyItem #

class HasResultId s a | s -> a where #

Methods

resultId :: Lens' s a #

#### Instances

Instances details

HasResultId RelatedUnchangedDocumentDiagnosticReport Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' RelatedUnchangedDocumentDiagnosticReport Text #
HasResultId UnchangedDocumentDiagnosticReport Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' UnchangedDocumentDiagnosticReport Text #
HasResultId WorkspaceUnchangedDocumentDiagnosticReport Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' WorkspaceUnchangedDocumentDiagnosticReport Text #
HasResultId FullDocumentDiagnosticReport (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' FullDocumentDiagnosticReport (Maybe Text) #
HasResultId RelatedFullDocumentDiagnosticReport (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' RelatedFullDocumentDiagnosticReport (Maybe Text) #
HasResultId SemanticTokens (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' SemanticTokens (Maybe Text) #
HasResultId SemanticTokensDelta (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' SemanticTokensDelta (Maybe Text) #
HasResultId WorkspaceFullDocumentDiagnosticReport (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resultId :: Lens' WorkspaceFullDocumentDiagnosticReport (Maybe Text) #

class HasFull s a | s -> a where #

Methods

full :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Bool |? Rec (("delta" .== Maybe Bool) .+ (Empty :: Row Type))) => HasFull SemanticTokensOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods full :: Lens' SemanticTokensOptions a #
a ~ Maybe (Bool |? Rec (("delta" .== Maybe Bool) .+ (Empty :: Row Type))) => HasFull SemanticTokensRegistrationOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods full :: Lens' SemanticTokensRegistrationOptions a #

class HasLegend s a | s -> a where #

Methods

legend :: Lens' s a #

#### Instances

Instances details

HasLegend SemanticTokensOptions SemanticTokensLegend # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods legend :: Lens' SemanticTokensOptions SemanticTokensLegend #
HasLegend SemanticTokensRegistrationOptions SemanticTokensLegend # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods legend :: Lens' SemanticTokensRegistrationOptions SemanticTokensLegend #

class HasPreviousResultId s a | s -> a where #

Methods

previousResultId :: Lens' s a #

#### Instances

Instances details

HasPreviousResultId SemanticTokensDeltaParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods previousResultId :: Lens' SemanticTokensDeltaParams Text #
HasPreviousResultId DocumentDiagnosticParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods previousResultId :: Lens' DocumentDiagnosticParams (Maybe Text) #

class HasEdits s a | s -> a where #

Methods

edits :: Lens' s a #

#### Instances

Instances details

HasEdits SemanticTokensDelta [SemanticTokensEdit] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods edits :: Lens' SemanticTokensDelta [SemanticTokensEdit] #
HasEdits SemanticTokensDeltaPartialResult [SemanticTokensEdit] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods edits :: Lens' SemanticTokensDeltaPartialResult [SemanticTokensEdit] #
HasEdits TextDocumentEdit [TextEdit |? AnnotatedTextEdit] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods edits :: Lens' TextDocumentEdit [TextEdit |? AnnotatedTextEdit] #

class HasExternal s a | s -> a where #

Methods

external :: Lens' s a #

#### Instances

Instances details

HasExternal ShowDocumentParams (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods external :: Lens' ShowDocumentParams (Maybe Bool) #

class HasSelection s a | s -> a where #

Methods

selection :: Lens' s a #

#### Instances

Instances details

HasSelection ShowDocumentParams (Maybe Range) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selection :: Lens' ShowDocumentParams (Maybe Range) #

class HasTakeFocus s a | s -> a where #

Methods

takeFocus :: Lens' s a #

#### Instances

Instances details

HasTakeFocus ShowDocumentParams (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods takeFocus :: Lens' ShowDocumentParams (Maybe Bool) #

class HasSuccess s a | s -> a where #

Methods

success :: Lens' s a #

#### Instances

Instances details

HasSuccess ShowDocumentResult Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods success :: Lens' ShowDocumentResult Bool #
HasSuccess ExecutionSummary (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods success :: Lens' ExecutionSummary (Maybe Bool) #

class HasRanges s a | s -> a where #

Methods

ranges :: Lens' s a #

#### Instances

Instances details

HasRanges LinkedEditingRanges [Range] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ranges :: Lens' LinkedEditingRanges [Range] #

class HasWordPattern s a | s -> a where #

Methods

wordPattern :: Lens' s a #

#### Instances

Instances details

HasWordPattern LinkedEditingRanges (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods wordPattern :: Lens' LinkedEditingRanges (Maybe Text) #

class HasFiles s a | s -> a where #

Methods

files :: Lens' s a #

#### Instances

Instances details

HasFiles CreateFilesParams [FileCreate] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods files :: Lens' CreateFilesParams [FileCreate] #
HasFiles DeleteFilesParams [FileDelete] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods files :: Lens' DeleteFilesParams [FileDelete] #
HasFiles RenameFilesParams [FileRename] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods files :: Lens' RenameFilesParams [FileRename] #

class HasChangeAnnotations s a | s -> a where #

Methods

changeAnnotations :: Lens' s a #

#### Instances

Instances details

HasChangeAnnotations WorkspaceEdit (Maybe (Map ChangeAnnotationIdentifier ChangeAnnotation)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods changeAnnotations :: Lens' WorkspaceEdit (Maybe (Map ChangeAnnotationIdentifier ChangeAnnotation)) #

class HasChanges s a | s -> a where #

Methods

changes :: Lens' s a #

#### Instances

Instances details

HasChanges DidChangeWatchedFilesParams [FileEvent] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods changes :: Lens' DidChangeWatchedFilesParams [FileEvent] #
HasChanges WorkspaceEdit (Maybe (Map Uri [TextEdit])) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods changes :: Lens' WorkspaceEdit (Maybe (Map Uri [TextEdit])) #

class HasDocumentChanges s a | s -> a where #

Methods

documentChanges :: Lens' s a #

#### Instances

Instances details

HasDocumentChanges WorkspaceEdit (Maybe [TextDocumentEdit |? (CreateFile |? (RenameFile |? DeleteFile))]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentChanges :: Lens' WorkspaceEdit (Maybe [TextDocumentEdit |? (CreateFile |? (RenameFile |? DeleteFile))]) #
HasDocumentChanges WorkspaceEditClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentChanges :: Lens' WorkspaceEditClientCapabilities (Maybe Bool) #

class HasFilters s a | s -> a where #

Methods

filters :: Lens' s a #

#### Instances

Instances details

HasFilters FileOperationRegistrationOptions [FileOperationFilter] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods filters :: Lens' FileOperationRegistrationOptions [FileOperationFilter] #

class HasIdentifier s a | s -> a where #

Methods

identifier :: Lens' s a #

#### Instances

Instances details

HasIdentifier Moniker Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods identifier :: Lens' Moniker Text #
HasIdentifier DiagnosticOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods identifier :: Lens' DiagnosticOptions (Maybe Text) #
HasIdentifier DiagnosticRegistrationOptions (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods identifier :: Lens' DiagnosticRegistrationOptions (Maybe Text) #
HasIdentifier DocumentDiagnosticParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods identifier :: Lens' DocumentDiagnosticParams (Maybe Text) #
HasIdentifier WorkspaceDiagnosticParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods identifier :: Lens' WorkspaceDiagnosticParams (Maybe Text) #

class HasScheme s a | s -> a where #

Methods

scheme :: Lens' s a #

#### Instances

Instances details

HasScheme Moniker Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods scheme :: Lens' Moniker Text #
HasScheme FileOperationFilter (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods scheme :: Lens' FileOperationFilter (Maybe Text) #

class HasUnique s a | s -> a where #

Methods

unique :: Lens' s a #

#### Instances

Instances details

HasUnique Moniker UniquenessLevel # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods unique :: Lens' Moniker UniquenessLevel #

class HasContext s a | s -> a where #

Methods

context :: Lens' s a #

#### Instances

Instances details

HasContext CodeActionParams CodeActionContext # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods context :: Lens' CodeActionParams CodeActionContext #
HasContext InlineValueParams InlineValueContext # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods context :: Lens' InlineValueParams InlineValueContext #
HasContext ReferenceParams ReferenceContext # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods context :: Lens' ReferenceParams ReferenceContext #
HasContext CompletionParams (Maybe CompletionContext) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods context :: Lens' CompletionParams (Maybe CompletionContext) #
HasContext SignatureHelpParams (Maybe SignatureHelpContext) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods context :: Lens' SignatureHelpParams (Maybe SignatureHelpContext) #

class HasPaddingLeft s a | s -> a where #

Methods

paddingLeft :: Lens' s a #

#### Instances

Instances details

HasPaddingLeft InlayHint (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods paddingLeft :: Lens' InlayHint (Maybe Bool) #

class HasPaddingRight s a | s -> a where #

Methods

paddingRight :: Lens' s a #

#### Instances

Instances details

HasPaddingRight InlayHint (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods paddingRight :: Lens' InlayHint (Maybe Bool) #

class HasTextEdits s a | s -> a where #

Methods

textEdits :: Lens' s a #

#### Instances

Instances details

HasTextEdits InlayHint (Maybe [TextEdit]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textEdits :: Lens' InlayHint (Maybe [TextEdit]) #

class HasTooltip s a | s -> a where #

Methods

tooltip :: Lens' s a #

#### Instances

Instances details

HasTooltip DocumentLink (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tooltip :: Lens' DocumentLink (Maybe Text) #
HasTooltip InlayHint (Maybe (Text |? MarkupContent)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tooltip :: Lens' InlayHint (Maybe (Text |? MarkupContent)) #
HasTooltip InlayHintLabelPart (Maybe (Text |? MarkupContent)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tooltip :: Lens' InlayHintLabelPart (Maybe (Text |? MarkupContent)) #

class HasResolveProvider s a | s -> a where #

Methods

resolveProvider :: Lens' s a #

#### Instances

Instances details

HasResolveProvider CodeActionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CodeActionOptions (Maybe Bool) #
HasResolveProvider CodeActionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CodeActionRegistrationOptions (Maybe Bool) #
HasResolveProvider CodeLensOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CodeLensOptions (Maybe Bool) #
HasResolveProvider CodeLensRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CodeLensRegistrationOptions (Maybe Bool) #
HasResolveProvider CompletionOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CompletionOptions (Maybe Bool) #
HasResolveProvider CompletionRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' CompletionRegistrationOptions (Maybe Bool) #
HasResolveProvider DocumentLinkOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' DocumentLinkOptions (Maybe Bool) #
HasResolveProvider DocumentLinkRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' DocumentLinkRegistrationOptions (Maybe Bool) #
HasResolveProvider InlayHintOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' InlayHintOptions (Maybe Bool) #
HasResolveProvider InlayHintRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' InlayHintRegistrationOptions (Maybe Bool) #
HasResolveProvider WorkspaceSymbolOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' WorkspaceSymbolOptions (Maybe Bool) #
HasResolveProvider WorkspaceSymbolRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveProvider :: Lens' WorkspaceSymbolRegistrationOptions (Maybe Bool) #

class HasRelatedDocuments s a | s -> a where #

Methods

relatedDocuments :: Lens' s a #

#### Instances

Instances details

HasRelatedDocuments RelatedFullDocumentDiagnosticReport (Maybe (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedDocuments :: Lens' RelatedFullDocumentDiagnosticReport (Maybe (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport))) #
HasRelatedDocuments RelatedUnchangedDocumentDiagnosticReport (Maybe (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedDocuments :: Lens' RelatedUnchangedDocumentDiagnosticReport (Maybe (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport))) #
HasRelatedDocuments DocumentDiagnosticReportPartialResult (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedDocuments :: Lens' DocumentDiagnosticReportPartialResult (Map Uri (FullDocumentDiagnosticReport |? UnchangedDocumentDiagnosticReport)) #

class HasRetriggerRequest s a | s -> a where #

Methods

retriggerRequest :: Lens' s a #

#### Instances

Instances details

HasRetriggerRequest DiagnosticServerCancellationData Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods retriggerRequest :: Lens' DiagnosticServerCancellationData Bool #

class HasInterFileDependencies s a | s -> a where #

Methods

interFileDependencies :: Lens' s a #

#### Instances

Instances details

HasInterFileDependencies DiagnosticOptions Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods interFileDependencies :: Lens' DiagnosticOptions Bool #
HasInterFileDependencies DiagnosticRegistrationOptions Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods interFileDependencies :: Lens' DiagnosticRegistrationOptions Bool #

class HasWorkspaceDiagnostics s a | s -> a where #

Methods

workspaceDiagnostics :: Lens' s a #

#### Instances

Instances details

HasWorkspaceDiagnostics DiagnosticOptions Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceDiagnostics :: Lens' DiagnosticOptions Bool #
HasWorkspaceDiagnostics DiagnosticRegistrationOptions Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceDiagnostics :: Lens' DiagnosticRegistrationOptions Bool #

class HasPreviousResultIds s a | s -> a where #

Methods

previousResultIds :: Lens' s a #

#### Instances

Instances details

HasPreviousResultIds WorkspaceDiagnosticParams [PreviousResultId] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods previousResultIds :: Lens' WorkspaceDiagnosticParams [PreviousResultId] #

class HasCellTextDocuments s a | s -> a where #

Methods

cellTextDocuments :: Lens' s a #

#### Instances

Instances details

HasCellTextDocuments DidCloseNotebookDocumentParams [TextDocumentIdentifier] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cellTextDocuments :: Lens' DidCloseNotebookDocumentParams [TextDocumentIdentifier] #
HasCellTextDocuments DidOpenNotebookDocumentParams [TextDocumentItem] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cellTextDocuments :: Lens' DidOpenNotebookDocumentParams [TextDocumentItem] #

class HasNotebookDocument s a | s -> a where #

Methods

notebookDocument :: Lens' s a #

#### Instances

Instances details

HasNotebookDocument DidChangeNotebookDocumentParams VersionedNotebookDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocument :: Lens' DidChangeNotebookDocumentParams VersionedNotebookDocumentIdentifier #
HasNotebookDocument DidCloseNotebookDocumentParams NotebookDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocument :: Lens' DidCloseNotebookDocumentParams NotebookDocumentIdentifier #
HasNotebookDocument DidOpenNotebookDocumentParams NotebookDocument # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocument :: Lens' DidOpenNotebookDocumentParams NotebookDocument #
HasNotebookDocument DidSaveNotebookDocumentParams NotebookDocumentIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocument :: Lens' DidSaveNotebookDocumentParams NotebookDocumentIdentifier #
HasNotebookDocument ClientCapabilities (Maybe NotebookDocumentClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocument :: Lens' ClientCapabilities (Maybe NotebookDocumentClientCapabilities) #

class HasChange s a | s -> a where #

Methods

change :: Lens' s a #

#### Instances

Instances details

HasChange DidChangeNotebookDocumentParams NotebookDocumentChangeEvent # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods change :: Lens' DidChangeNotebookDocumentParams NotebookDocumentChangeEvent #
HasChange TextDocumentSyncOptions (Maybe TextDocumentSyncKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods change :: Lens' TextDocumentSyncOptions (Maybe TextDocumentSyncKind) #

class HasRegistrations s a | s -> a where #

Methods

registrations :: Lens' s a #

#### Instances

Instances details

HasRegistrations RegistrationParams [Registration] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods registrations :: Lens' RegistrationParams [Registration] #

class HasUnregisterations s a | s -> a where #

Methods

unregisterations :: Lens' s a #

#### Instances

Instances details

HasUnregisterations UnregistrationParams [Unregistration] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods unregisterations :: Lens' UnregistrationParams [Unregistration] #

class HasCapabilities s a | s -> a where #

Methods

capabilities :: Lens' s a #

#### Instances

Instances details

HasCapabilities InitializeParams ClientCapabilities # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods capabilities :: Lens' InitializeParams ClientCapabilities #
HasCapabilities InitializeResult ServerCapabilities # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods capabilities :: Lens' InitializeResult ServerCapabilities #
HasCapabilities UInitializeParams ClientCapabilities # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods capabilities :: Lens' UInitializeParams ClientCapabilities #

class HasClientInfo s a | s -> a where #

Methods

clientInfo :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("name" .== Text) .+ (("version" .== Maybe Text) .+ (Empty :: Row Type)))) => HasClientInfo InitializeParams a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods clientInfo :: Lens' InitializeParams a #
a ~ Maybe (Rec (("name" .== Text) .+ (("version" .== Maybe Text) .+ (Empty :: Row Type)))) => HasClientInfo UInitializeParams a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods clientInfo :: Lens' UInitializeParams a #

class HasInitializationOptions s a | s -> a where #

Methods

initializationOptions :: Lens' s a #

#### Instances

Instances details

HasInitializationOptions InitializeParams (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods initializationOptions :: Lens' InitializeParams (Maybe Value) #
HasInitializationOptions UInitializeParams (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods initializationOptions :: Lens' UInitializeParams (Maybe Value) #

class HasLocale s a | s -> a where #

Methods

locale :: Lens' s a #

#### Instances

Instances details

HasLocale InitializeParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods locale :: Lens' InitializeParams (Maybe Text) #
HasLocale UInitializeParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods locale :: Lens' UInitializeParams (Maybe Text) #

class HasProcessId s a | s -> a where #

Methods

processId :: Lens' s a #

#### Instances

Instances details

HasProcessId InitializeParams (Int32 |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods processId :: Lens' InitializeParams (Int32 |? Null) #
HasProcessId UInitializeParams (Int32 |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods processId :: Lens' UInitializeParams (Int32 |? Null) #

class HasRootPath s a | s -> a where #

Methods

rootPath :: Lens' s a #

#### Instances

Instances details

HasRootPath InitializeParams (Maybe (Text |? Null)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rootPath :: Lens' InitializeParams (Maybe (Text |? Null)) #
HasRootPath UInitializeParams (Maybe (Text |? Null)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rootPath :: Lens' UInitializeParams (Maybe (Text |? Null)) #

class HasRootUri s a | s -> a where #

Methods

rootUri :: Lens' s a #

#### Instances

Instances details

HasRootUri InitializeParams (Uri |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rootUri :: Lens' InitializeParams (Uri |? Null) #
HasRootUri UInitializeParams (Uri |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rootUri :: Lens' UInitializeParams (Uri |? Null) #

class HasTrace s a | s -> a where #

Methods

trace :: Lens' s a #

#### Instances

Instances details

HasTrace InitializeParams (Maybe TraceValues) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods trace :: Lens' InitializeParams (Maybe TraceValues) #
HasTrace UInitializeParams (Maybe TraceValues) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods trace :: Lens' UInitializeParams (Maybe TraceValues) #

class HasWorkspaceFolders s a | s -> a where #

Methods

workspaceFolders :: Lens' s a #

#### Instances

Instances details

HasWorkspaceFolders InitializeParams (Maybe ([WorkspaceFolder] |? Null)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceFolders :: Lens' InitializeParams (Maybe ([WorkspaceFolder] |? Null)) #
HasWorkspaceFolders WorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceFolders :: Lens' WorkspaceClientCapabilities (Maybe Bool) #
HasWorkspaceFolders WorkspaceFoldersInitializeParams (Maybe ([WorkspaceFolder] |? Null)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceFolders :: Lens' WorkspaceFoldersInitializeParams (Maybe ([WorkspaceFolder] |? Null)) #

class HasServerInfo s a | s -> a where #

Methods

serverInfo :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("name" .== Text) .+ (("version" .== Maybe Text) .+ (Empty :: Row Type)))) => HasServerInfo InitializeResult a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods serverInfo :: Lens' InitializeResult a #

class HasRetry s a | s -> a where #

Methods

retry :: Lens' s a #

#### Instances

Instances details

HasRetry InitializeError Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods retry :: Lens' InitializeError Bool #

class HasSettings s a | s -> a where #

Methods

settings :: Lens' s a #

#### Instances

Instances details

HasSettings DidChangeConfigurationParams Value # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods settings :: Lens' DidChangeConfigurationParams Value #

class HasSection s a | s -> a where #

Methods

section :: Lens' s a #

#### Instances

Instances details

HasSection ConfigurationItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods section :: Lens' ConfigurationItem (Maybe Text) #
HasSection DidChangeConfigurationRegistrationOptions (Maybe (Text |? [Text])) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods section :: Lens' DidChangeConfigurationRegistrationOptions (Maybe (Text |? [Text])) #

class HasMessage s a | s -> a where #

Methods

message :: Lens' s a #

#### Instances

Instances details

HasMessage Diagnostic Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' Diagnostic Text #
HasMessage DiagnosticRelatedInformation Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' DiagnosticRelatedInformation Text #
HasMessage LogMessageParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' LogMessageParams Text #
HasMessage LogTraceParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' LogTraceParams Text #
HasMessage ShowMessageParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' ShowMessageParams Text #
HasMessage ShowMessageRequestParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' ShowMessageRequestParams Text #
HasMessage ResponseError Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods message :: Lens' ResponseError Text #
HasMessage WorkDoneProgressBegin (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' WorkDoneProgressBegin (Maybe Text) #
HasMessage WorkDoneProgressEnd (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' WorkDoneProgressEnd (Maybe Text) #
HasMessage WorkDoneProgressReport (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods message :: Lens' WorkDoneProgressReport (Maybe Text) #
HasMessage (TResponseError m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods message :: Lens' (TResponseError m) Text #

class HasType_ s a | s -> a where #

Methods

type_ :: Lens' s a #

#### Instances

Instances details

HasType_ FileEvent FileChangeType # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods type_ :: Lens' FileEvent FileChangeType #
HasType_ LogMessageParams MessageType # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods type_ :: Lens' LogMessageParams MessageType #
HasType_ ShowMessageParams MessageType # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods type_ :: Lens' ShowMessageParams MessageType #
HasType_ ShowMessageRequestParams MessageType # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods type_ :: Lens' ShowMessageRequestParams MessageType #

class HasActions s a | s -> a where #

Methods

actions :: Lens' s a #

#### Instances

Instances details

HasActions ShowMessageRequestParams (Maybe [MessageActionItem]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods actions :: Lens' ShowMessageRequestParams (Maybe [MessageActionItem]) #

class HasTitle s a | s -> a where #

Methods

title :: Lens' s a #

#### Instances

Instances details

HasTitle CodeAction Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods title :: Lens' CodeAction Text #
HasTitle Command Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods title :: Lens' Command Text #
HasTitle MessageActionItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods title :: Lens' MessageActionItem Text #
HasTitle WorkDoneProgressBegin Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods title :: Lens' WorkDoneProgressBegin Text #

class HasContentChanges s a | s -> a where #

Methods

contentChanges :: Lens' s a #

#### Instances

Instances details

HasContentChanges DidChangeTextDocumentParams [TextDocumentContentChangeEvent] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods contentChanges :: Lens' DidChangeTextDocumentParams [TextDocumentContentChangeEvent] #

class HasSyncKind s a | s -> a where #

Methods

syncKind :: Lens' s a #

#### Instances

Instances details

HasSyncKind TextDocumentChangeRegistrationOptions TextDocumentSyncKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods syncKind :: Lens' TextDocumentChangeRegistrationOptions TextDocumentSyncKind #

class HasText s a | s -> a where #

Methods

text :: Lens' s a #

#### Instances

Instances details

HasText InlineValueText Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods text :: Lens' InlineValueText Text #
HasText TextDocumentItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods text :: Lens' TextDocumentItem Text #
HasText DidSaveTextDocumentParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods text :: Lens' DidSaveTextDocumentParams (Maybe Text) #

class HasIncludeText s a | s -> a where #

Methods

includeText :: Lens' s a #

#### Instances

Instances details

HasIncludeText SaveOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods includeText :: Lens' SaveOptions (Maybe Bool) #
HasIncludeText TextDocumentSaveRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods includeText :: Lens' TextDocumentSaveRegistrationOptions (Maybe Bool) #

class HasReason s a | s -> a where #

Methods

reason :: Lens' s a #

#### Instances

Instances details

HasReason WillSaveTextDocumentParams TextDocumentSaveReason # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods reason :: Lens' WillSaveTextDocumentParams TextDocumentSaveReason #

class HasNewText s a | s -> a where #

Methods

newText :: Lens' s a #

#### Instances

Instances details

HasNewText AnnotatedTextEdit Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newText :: Lens' AnnotatedTextEdit Text #
HasNewText InsertReplaceEdit Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newText :: Lens' InsertReplaceEdit Text #
HasNewText TextEdit Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newText :: Lens' TextEdit Text #

class HasWatchers s a | s -> a where #

Methods

watchers :: Lens' s a #

#### Instances

Instances details

HasWatchers DidChangeWatchedFilesRegistrationOptions [FileSystemWatcher] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods watchers :: Lens' DidChangeWatchedFilesRegistrationOptions [FileSystemWatcher] #

class HasDiagnostics s a | s -> a where #

Methods

diagnostics :: Lens' s a #

#### Instances

Instances details

HasDiagnostics CodeAction (Maybe [Diagnostic]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnostics :: Lens' CodeAction (Maybe [Diagnostic]) #
HasDiagnostics CodeActionContext [Diagnostic] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnostics :: Lens' CodeActionContext [Diagnostic] #
HasDiagnostics PublishDiagnosticsParams [Diagnostic] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnostics :: Lens' PublishDiagnosticsParams [Diagnostic] #
HasDiagnostics WorkspaceClientCapabilities (Maybe DiagnosticWorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnostics :: Lens' WorkspaceClientCapabilities (Maybe DiagnosticWorkspaceClientCapabilities) #

class HasVersion s a | s -> a where #

Methods

version :: Lens' s a #

#### Instances

Instances details

HasVersion NotebookDocument Int32 # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' NotebookDocument Int32 #
HasVersion TextDocumentItem Int32 # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' TextDocumentItem Int32 #
HasVersion VersionedNotebookDocumentIdentifier Int32 # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' VersionedNotebookDocumentIdentifier Int32 #
HasVersion VersionedTextDocumentIdentifier Int32 # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' VersionedTextDocumentIdentifier Int32 #
HasVersion MarkdownClientCapabilities (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' MarkdownClientCapabilities (Maybe Text) #
HasVersion PublishDiagnosticsParams (Maybe Int32) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' PublishDiagnosticsParams (Maybe Int32) #
HasVersion RegularExpressionsClientCapabilities (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' RegularExpressionsClientCapabilities (Maybe Text) #
HasVersion OptionalVersionedTextDocumentIdentifier (Int32 |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' OptionalVersionedTextDocumentIdentifier (Int32 |? Null) #
HasVersion WorkspaceFullDocumentDiagnosticReport (Int32 |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' WorkspaceFullDocumentDiagnosticReport (Int32 |? Null) #
HasVersion WorkspaceUnchangedDocumentDiagnosticReport (Int32 |? Null) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods version :: Lens' WorkspaceUnchangedDocumentDiagnosticReport (Int32 |? Null) #

class HasCommand s a | s -> a where #

Methods

command :: Lens' s a #

#### Instances

Instances details

HasCommand Command Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' Command Text #
HasCommand ExecuteCommandParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' ExecuteCommandParams Text #
HasCommand CodeAction (Maybe Command) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' CodeAction (Maybe Command) #
HasCommand CodeLens (Maybe Command) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' CodeLens (Maybe Command) #
HasCommand CompletionItem (Maybe Command) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' CompletionItem (Maybe Command) #
HasCommand InlayHintLabelPart (Maybe Command) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods command :: Lens' InlayHintLabelPart (Maybe Command) #

class HasCommitCharacters s a | s -> a where #

Methods

commitCharacters :: Lens' s a #

#### Instances

Instances details

HasCommitCharacters CompletionItem (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods commitCharacters :: Lens' CompletionItem (Maybe [Text]) #

class HasDeprecated s a | s -> a where #

Methods

deprecated :: Lens' s a #

#### Instances

Instances details

HasDeprecated CompletionItem (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods deprecated :: Lens' CompletionItem (Maybe Bool) #
HasDeprecated DocumentSymbol (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods deprecated :: Lens' DocumentSymbol (Maybe Bool) #
HasDeprecated SymbolInformation (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods deprecated :: Lens' SymbolInformation (Maybe Bool) #

class HasDocumentation s a | s -> a where #

Methods

documentation :: Lens' s a #

#### Instances

Instances details

HasDocumentation CompletionItem (Maybe (Text |? MarkupContent)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentation :: Lens' CompletionItem (Maybe (Text |? MarkupContent)) #
HasDocumentation ParameterInformation (Maybe (Text |? MarkupContent)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentation :: Lens' ParameterInformation (Maybe (Text |? MarkupContent)) #
HasDocumentation SignatureInformation (Maybe (Text |? MarkupContent)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentation :: Lens' SignatureInformation (Maybe (Text |? MarkupContent)) #

class HasFilterText s a | s -> a where #

Methods

filterText :: Lens' s a #

#### Instances

Instances details

HasFilterText CompletionItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods filterText :: Lens' CompletionItem (Maybe Text) #

class HasInsertText s a | s -> a where #

Methods

insertText :: Lens' s a #

#### Instances

Instances details

HasInsertText CompletionItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertText :: Lens' CompletionItem (Maybe Text) #

class HasInsertTextFormat s a | s -> a where #

Methods

insertTextFormat :: Lens' s a #

#### Instances

Instances details

HasInsertTextFormat CompletionItem (Maybe InsertTextFormat) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertTextFormat :: Lens' CompletionItem (Maybe InsertTextFormat) #

class HasInsertTextMode s a | s -> a where #

Methods

insertTextMode :: Lens' s a #

#### Instances

Instances details

HasInsertTextMode CompletionClientCapabilities (Maybe InsertTextMode) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertTextMode :: Lens' CompletionClientCapabilities (Maybe InsertTextMode) #
HasInsertTextMode CompletionItem (Maybe InsertTextMode) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertTextMode :: Lens' CompletionItem (Maybe InsertTextMode) #

class HasLabelDetails s a | s -> a where #

Methods

labelDetails :: Lens' s a #

#### Instances

Instances details

HasLabelDetails CompletionItem (Maybe CompletionItemLabelDetails) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods labelDetails :: Lens' CompletionItem (Maybe CompletionItemLabelDetails) #

class HasPreselect s a | s -> a where #

Methods

preselect :: Lens' s a #

#### Instances

Instances details

HasPreselect CompletionItem (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods preselect :: Lens' CompletionItem (Maybe Bool) #

class HasSortText s a | s -> a where #

Methods

sortText :: Lens' s a #

#### Instances

Instances details

HasSortText CompletionItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods sortText :: Lens' CompletionItem (Maybe Text) #

class HasTextEditText s a | s -> a where #

Methods

textEditText :: Lens' s a #

#### Instances

Instances details

HasTextEditText CompletionItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textEditText :: Lens' CompletionItem (Maybe Text) #

class HasIsIncomplete s a | s -> a where #

Methods

isIncomplete :: Lens' s a #

#### Instances

Instances details

HasIsIncomplete CompletionList Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods isIncomplete :: Lens' CompletionList Bool #

class HasItemDefaults s a | s -> a where #

Methods

itemDefaults :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("commitCharacters" .== Maybe [Text]) .+ (("editRange" .== Maybe (Range |? Rec (("insert" .== Range) .+ (("replace" .== Range) .+ (Empty :: Row Type))))) .+ (("insertTextFormat" .== Maybe InsertTextFormat) .+ (("insertTextMode" .== Maybe InsertTextMode) .+ (("data" .== Maybe Value) .+ (Empty :: Row Type))))))) => HasItemDefaults CompletionList a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods itemDefaults :: Lens' CompletionList a #

class HasAllCommitCharacters s a | s -> a where #

Methods

allCommitCharacters :: Lens' s a #

#### Instances

Instances details

HasAllCommitCharacters CompletionOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods allCommitCharacters :: Lens' CompletionOptions (Maybe [Text]) #
HasAllCommitCharacters CompletionRegistrationOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods allCommitCharacters :: Lens' CompletionRegistrationOptions (Maybe [Text]) #

class HasCompletionItem s a | s -> a where #

Methods

completionItem :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("snippetSupport" .== Maybe Bool) .+ (("commitCharactersSupport" .== Maybe Bool) .+ (("documentationFormat" .== Maybe [MarkupKind]) .+ (("deprecatedSupport" .== Maybe Bool) .+ (("preselectSupport" .== Maybe Bool) .+ (("tagSupport" .== Maybe (Rec (("valueSet" .== [CompletionItemTag]) .+ (Empty :: Row Type)))) .+ (("insertReplaceSupport" .== Maybe Bool) .+ (("resolveSupport" .== Maybe (Rec (("properties" .== [Text]) .+ (Empty :: Row Type)))) .+ (("insertTextModeSupport" .== Maybe (Rec (("valueSet" .== [InsertTextMode]) .+ (Empty :: Row Type)))) .+ (("labelDetailsSupport" .== Maybe Bool) .+ (Empty :: Row Type)))))))))))) => HasCompletionItem CompletionClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionItem :: Lens' CompletionClientCapabilities a #
a ~ Maybe (Rec (("labelDetailsSupport" .== Maybe Bool) .+ (Empty :: Row Type))) => HasCompletionItem CompletionOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionItem :: Lens' CompletionOptions a #
a ~ Maybe (Rec (("labelDetailsSupport" .== Maybe Bool) .+ (Empty :: Row Type))) => HasCompletionItem CompletionRegistrationOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionItem :: Lens' CompletionRegistrationOptions a #

class HasTriggerCharacters s a | s -> a where #

Methods

triggerCharacters :: Lens' s a #

#### Instances

Instances details

HasTriggerCharacters CompletionOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacters :: Lens' CompletionOptions (Maybe [Text]) #
HasTriggerCharacters CompletionRegistrationOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacters :: Lens' CompletionRegistrationOptions (Maybe [Text]) #
HasTriggerCharacters SignatureHelpOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacters :: Lens' SignatureHelpOptions (Maybe [Text]) #
HasTriggerCharacters SignatureHelpRegistrationOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacters :: Lens' SignatureHelpRegistrationOptions (Maybe [Text]) #

class HasContents s a | s -> a where #

Methods

contents :: Lens' s a #

#### Instances

Instances details

HasContents Hover (MarkupContent |? (MarkedString |? [MarkedString])) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods contents :: Lens' Hover (MarkupContent |? (MarkedString |? [MarkedString])) #

class HasActiveParameter s a | s -> a where #

Methods

activeParameter :: Lens' s a #

#### Instances

Instances details

HasActiveParameter SignatureHelp (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods activeParameter :: Lens' SignatureHelp (Maybe UInt) #
HasActiveParameter SignatureInformation (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods activeParameter :: Lens' SignatureInformation (Maybe UInt) #

class HasActiveSignature s a | s -> a where #

Methods

activeSignature :: Lens' s a #

#### Instances

Instances details

HasActiveSignature SignatureHelp (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods activeSignature :: Lens' SignatureHelp (Maybe UInt) #

class HasSignatures s a | s -> a where #

Methods

signatures :: Lens' s a #

#### Instances

Instances details

HasSignatures SignatureHelp [SignatureInformation] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods signatures :: Lens' SignatureHelp [SignatureInformation] #

class HasRetriggerCharacters s a | s -> a where #

Methods

retriggerCharacters :: Lens' s a #

#### Instances

Instances details

HasRetriggerCharacters SignatureHelpOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods retriggerCharacters :: Lens' SignatureHelpOptions (Maybe [Text]) #
HasRetriggerCharacters SignatureHelpRegistrationOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods retriggerCharacters :: Lens' SignatureHelpRegistrationOptions (Maybe [Text]) #

class HasContainerName s a | s -> a where #

Methods

containerName :: Lens' s a #

#### Instances

Instances details

HasContainerName BaseSymbolInformation (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods containerName :: Lens' BaseSymbolInformation (Maybe Text) #
HasContainerName SymbolInformation (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods containerName :: Lens' SymbolInformation (Maybe Text) #
HasContainerName WorkspaceSymbol (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods containerName :: Lens' WorkspaceSymbol (Maybe Text) #

class HasLocation s a | s -> a where #

Methods

location :: Lens' s a #

#### Instances

Instances details

HasLocation DiagnosticRelatedInformation Location # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods location :: Lens' DiagnosticRelatedInformation Location #
HasLocation SymbolInformation Location # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods location :: Lens' SymbolInformation Location #
a ~ (Location |? Rec (("uri" .== Uri) .+ (Empty :: Row Type))) => HasLocation WorkspaceSymbol a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods location :: Lens' WorkspaceSymbol a #
HasLocation InlayHintLabelPart (Maybe Location) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods location :: Lens' InlayHintLabelPart (Maybe Location) #

class HasChildren s a | s -> a where #

Methods

children :: Lens' s a #

#### Instances

Instances details

HasChildren DocumentSymbol (Maybe [DocumentSymbol]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods children :: Lens' DocumentSymbol (Maybe [DocumentSymbol]) #

class HasArguments s a | s -> a where #

Methods

arguments :: Lens' s a #

#### Instances

Instances details

HasArguments Command (Maybe [Value]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods arguments :: Lens' Command (Maybe [Value]) #
HasArguments ExecuteCommandParams (Maybe [Value]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods arguments :: Lens' ExecuteCommandParams (Maybe [Value]) #

class HasDisabled s a | s -> a where #

Methods

disabled :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("reason" .== Text) .+ (Empty :: Row Type))) => HasDisabled CodeAction a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods disabled :: Lens' CodeAction a #

class HasEdit s a | s -> a where #

Methods

edit :: Lens' s a #

#### Instances

Instances details

HasEdit ApplyWorkspaceEditParams WorkspaceEdit # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods edit :: Lens' ApplyWorkspaceEditParams WorkspaceEdit #
HasEdit CodeAction (Maybe WorkspaceEdit) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods edit :: Lens' CodeAction (Maybe WorkspaceEdit) #

class HasIsPreferred s a | s -> a where #

Methods

isPreferred :: Lens' s a #

#### Instances

Instances details

HasIsPreferred CodeAction (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods isPreferred :: Lens' CodeAction (Maybe Bool) #

class HasCodeActionKinds s a | s -> a where #

Methods

codeActionKinds :: Lens' s a #

#### Instances

Instances details

HasCodeActionKinds CodeActionOptions (Maybe [CodeActionKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeActionKinds :: Lens' CodeActionOptions (Maybe [CodeActionKind]) #
HasCodeActionKinds CodeActionRegistrationOptions (Maybe [CodeActionKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeActionKinds :: Lens' CodeActionRegistrationOptions (Maybe [CodeActionKind]) #

class HasQuery s a | s -> a where #

Methods

query :: Lens' s a #

#### Instances

Instances details

HasQuery WorkspaceSymbolParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods query :: Lens' WorkspaceSymbolParams Text #

class HasTarget s a | s -> a where #

Methods

target :: Lens' s a #

#### Instances

Instances details

HasTarget DocumentLink (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods target :: Lens' DocumentLink (Maybe Text) #

class HasOptions s a | s -> a where #

Methods

options :: Lens' s a #

#### Instances

Instances details

HasOptions DocumentFormattingParams FormattingOptions # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' DocumentFormattingParams FormattingOptions #
HasOptions DocumentOnTypeFormattingParams FormattingOptions # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' DocumentOnTypeFormattingParams FormattingOptions #
HasOptions DocumentRangeFormattingParams FormattingOptions # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' DocumentRangeFormattingParams FormattingOptions #
HasOptions CreateFile (Maybe CreateFileOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' CreateFile (Maybe CreateFileOptions) #
HasOptions DeleteFile (Maybe DeleteFileOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' DeleteFile (Maybe DeleteFileOptions) #
HasOptions FileOperationPattern (Maybe FileOperationPatternOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' FileOperationPattern (Maybe FileOperationPatternOptions) #
HasOptions RenameFile (Maybe RenameFileOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods options :: Lens' RenameFile (Maybe RenameFileOptions) #

class HasCh s a | s -> a where #

Methods

ch :: Lens' s a #

#### Instances

Instances details

HasCh DocumentOnTypeFormattingParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ch :: Lens' DocumentOnTypeFormattingParams Text #

class HasFirstTriggerCharacter s a | s -> a where #

Methods

firstTriggerCharacter :: Lens' s a #

#### Instances

Instances details

HasFirstTriggerCharacter DocumentOnTypeFormattingOptions Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods firstTriggerCharacter :: Lens' DocumentOnTypeFormattingOptions Text #
HasFirstTriggerCharacter DocumentOnTypeFormattingRegistrationOptions Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods firstTriggerCharacter :: Lens' DocumentOnTypeFormattingRegistrationOptions Text #

class HasMoreTriggerCharacter s a | s -> a where #

Methods

moreTriggerCharacter :: Lens' s a #

#### Instances

Instances details

HasMoreTriggerCharacter DocumentOnTypeFormattingOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods moreTriggerCharacter :: Lens' DocumentOnTypeFormattingOptions (Maybe [Text]) #
HasMoreTriggerCharacter DocumentOnTypeFormattingRegistrationOptions (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods moreTriggerCharacter :: Lens' DocumentOnTypeFormattingRegistrationOptions (Maybe [Text]) #

class HasNewName s a | s -> a where #

Methods

newName :: Lens' s a #

#### Instances

Instances details

HasNewName RenameParams Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newName :: Lens' RenameParams Text #

class HasPrepareProvider s a | s -> a where #

Methods

prepareProvider :: Lens' s a #

#### Instances

Instances details

HasPrepareProvider RenameOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods prepareProvider :: Lens' RenameOptions (Maybe Bool) #
HasPrepareProvider RenameRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods prepareProvider :: Lens' RenameRegistrationOptions (Maybe Bool) #

class HasCommands s a | s -> a where #

Methods

commands :: Lens' s a #

#### Instances

Instances details

HasCommands ExecuteCommandOptions [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods commands :: Lens' ExecuteCommandOptions [Text] #
HasCommands ExecuteCommandRegistrationOptions [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods commands :: Lens' ExecuteCommandRegistrationOptions [Text] #

class HasApplied s a | s -> a where #

Methods

applied :: Lens' s a #

#### Instances

Instances details

HasApplied ApplyWorkspaceEditResult Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods applied :: Lens' ApplyWorkspaceEditResult Bool #

class HasFailedChange s a | s -> a where #

Methods

failedChange :: Lens' s a #

#### Instances

Instances details

HasFailedChange ApplyWorkspaceEditResult (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods failedChange :: Lens' ApplyWorkspaceEditResult (Maybe UInt) #

class HasFailureReason s a | s -> a where #

Methods

failureReason :: Lens' s a #

#### Instances

Instances details

HasFailureReason ApplyWorkspaceEditResult (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods failureReason :: Lens' ApplyWorkspaceEditResult (Maybe Text) #

class HasCancellable s a | s -> a where #

Methods

cancellable :: Lens' s a #

#### Instances

Instances details

HasCancellable WorkDoneProgressBegin (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cancellable :: Lens' WorkDoneProgressBegin (Maybe Bool) #
HasCancellable WorkDoneProgressReport (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cancellable :: Lens' WorkDoneProgressReport (Maybe Bool) #

class HasPercentage s a | s -> a where #

Methods

percentage :: Lens' s a #

#### Instances

Instances details

HasPercentage WorkDoneProgressBegin (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods percentage :: Lens' WorkDoneProgressBegin (Maybe UInt) #
HasPercentage WorkDoneProgressReport (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods percentage :: Lens' WorkDoneProgressReport (Maybe UInt) #

class HasValue s a | s -> a where #

Methods

value :: Lens' s a #

#### Instances

Instances details

HasValue InlayHintLabelPart Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods value :: Lens' InlayHintLabelPart Text #
HasValue MarkupContent Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods value :: Lens' MarkupContent Text #
HasValue PreviousResultId Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods value :: Lens' PreviousResultId Text #
HasValue ProgressParams Value # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods value :: Lens' ProgressParams Value #
HasValue SetTraceParams TraceValues # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods value :: Lens' SetTraceParams TraceValues #

class HasVerbose s a | s -> a where #

Methods

verbose :: Lens' s a #

#### Instances

Instances details

HasVerbose LogTraceParams (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods verbose :: Lens' LogTraceParams (Maybe Text) #

class HasOriginSelectionRange s a | s -> a where #

Methods

originSelectionRange :: Lens' s a #

#### Instances

Instances details

HasOriginSelectionRange LocationLink (Maybe Range) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods originSelectionRange :: Lens' LocationLink (Maybe Range) #

class HasTargetRange s a | s -> a where #

Methods

targetRange :: Lens' s a #

#### Instances

Instances details

HasTargetRange LocationLink Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods targetRange :: Lens' LocationLink Range #

class HasTargetSelectionRange s a | s -> a where #

Methods

targetSelectionRange :: Lens' s a #

#### Instances

Instances details

HasTargetSelectionRange LocationLink Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods targetSelectionRange :: Lens' LocationLink Range #

class HasTargetUri s a | s -> a where #

Methods

targetUri :: Lens' s a #

#### Instances

Instances details

HasTargetUri LocationLink Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods targetUri :: Lens' LocationLink Uri #

class HasEnd s a | s -> a where #

Methods

end :: Lens' s a #

#### Instances

Instances details

HasEnd Range Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods end :: Lens' Range Position #

class HasStart s a | s -> a where #

Methods

start :: Lens' s a #

#### Instances

Instances details

HasStart NotebookCellArrayChange UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods start :: Lens' NotebookCellArrayChange UInt #
HasStart Range Position # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods start :: Lens' Range Position #
HasStart SemanticTokensEdit UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods start :: Lens' SemanticTokensEdit UInt #

class HasAdded s a | s -> a where #

Methods

added :: Lens' s a #

#### Instances

Instances details

HasAdded WorkspaceFoldersChangeEvent [WorkspaceFolder] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods added :: Lens' WorkspaceFoldersChangeEvent [WorkspaceFolder] #

class HasRemoved s a | s -> a where #

Methods

removed :: Lens' s a #

#### Instances

Instances details

HasRemoved WorkspaceFoldersChangeEvent [WorkspaceFolder] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods removed :: Lens' WorkspaceFoldersChangeEvent [WorkspaceFolder] #

class HasScopeUri s a | s -> a where #

Methods

scopeUri :: Lens' s a #

#### Instances

Instances details

HasScopeUri ConfigurationItem (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods scopeUri :: Lens' ConfigurationItem (Maybe Text) #

class HasAlpha s a | s -> a where #

Methods

alpha :: Lens' s a #

#### Instances

Instances details

HasAlpha Color Float # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods alpha :: Lens' Color Float #

class HasBlue s a | s -> a where #

Methods

blue :: Lens' s a #

#### Instances

Instances details

HasBlue Color Float # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods blue :: Lens' Color Float #

class HasGreen s a | s -> a where #

Methods

green :: Lens' s a #

#### Instances

Instances details

HasGreen Color Float # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods green :: Lens' Color Float #

class HasRed s a | s -> a where #

Methods

red :: Lens' s a #

#### Instances

Instances details

HasRed Color Float # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods red :: Lens' Color Float #

class HasCharacter s a | s -> a where #

Methods

character :: Lens' s a #

#### Instances

Instances details

HasCharacter Position UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods character :: Lens' Position UInt #

class HasLine s a | s -> a where #

Methods

line :: Lens' s a #

#### Instances

Instances details

HasLine Position UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods line :: Lens' Position UInt #
HasLine SemanticTokenAbsolute UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods line :: Lens' SemanticTokenAbsolute UInt #

class HasDeleteCount s a | s -> a where #

Methods

deleteCount :: Lens' s a #

#### Instances

Instances details

HasDeleteCount NotebookCellArrayChange UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods deleteCount :: Lens' NotebookCellArrayChange UInt #
HasDeleteCount SemanticTokensEdit UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods deleteCount :: Lens' SemanticTokensEdit UInt #

class HasAnnotationId s a | s -> a where #

Methods

annotationId :: Lens' s a #

#### Instances

Instances details

HasAnnotationId AnnotatedTextEdit ChangeAnnotationIdentifier # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods annotationId :: Lens' AnnotatedTextEdit ChangeAnnotationIdentifier #
HasAnnotationId CreateFile (Maybe ChangeAnnotationIdentifier) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods annotationId :: Lens' CreateFile (Maybe ChangeAnnotationIdentifier) #
HasAnnotationId DeleteFile (Maybe ChangeAnnotationIdentifier) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods annotationId :: Lens' DeleteFile (Maybe ChangeAnnotationIdentifier) #
HasAnnotationId RenameFile (Maybe ChangeAnnotationIdentifier) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods annotationId :: Lens' RenameFile (Maybe ChangeAnnotationIdentifier) #
HasAnnotationId ResourceOperation (Maybe ChangeAnnotationIdentifier) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods annotationId :: Lens' ResourceOperation (Maybe ChangeAnnotationIdentifier) #

class HasNewUri s a | s -> a where #

Methods

newUri :: Lens' s a #

#### Instances

Instances details

HasNewUri FileRename Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newUri :: Lens' FileRename Text #
HasNewUri RenameFile Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods newUri :: Lens' RenameFile Uri #

class HasOldUri s a | s -> a where #

Methods

oldUri :: Lens' s a #

#### Instances

Instances details

HasOldUri FileRename Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods oldUri :: Lens' FileRename Text #
HasOldUri RenameFile Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods oldUri :: Lens' RenameFile Uri #

class HasDescription s a | s -> a where #

Methods

description :: Lens' s a #

#### Instances

Instances details

HasDescription ChangeAnnotation (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods description :: Lens' ChangeAnnotation (Maybe Text) #
HasDescription CompletionItemLabelDetails (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods description :: Lens' CompletionItemLabelDetails (Maybe Text) #

class HasNeedsConfirmation s a | s -> a where #

Methods

needsConfirmation :: Lens' s a #

#### Instances

Instances details

HasNeedsConfirmation ChangeAnnotation (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods needsConfirmation :: Lens' ChangeAnnotation (Maybe Bool) #

class HasPattern s a | s -> a where #

Methods

pattern :: Lens' s a #

#### Instances

Instances details

HasPattern FileOperationFilter FileOperationPattern # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods pattern :: Lens' FileOperationFilter FileOperationPattern #
HasPattern RelativePattern Pattern # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods pattern :: Lens' RelativePattern Pattern #

class HasFrameId s a | s -> a where #

Methods

frameId :: Lens' s a #

#### Instances

Instances details

HasFrameId InlineValueContext Int32 # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods frameId :: Lens' InlineValueContext Int32 #

class HasStoppedLocation s a | s -> a where #

Methods

stoppedLocation :: Lens' s a #

#### Instances

Instances details

HasStoppedLocation InlineValueContext Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods stoppedLocation :: Lens' InlineValueContext Range #

class HasCaseSensitiveLookup s a | s -> a where #

Methods

caseSensitiveLookup :: Lens' s a #

#### Instances

Instances details

HasCaseSensitiveLookup InlineValueVariableLookup Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods caseSensitiveLookup :: Lens' InlineValueVariableLookup Bool #

class HasVariableName s a | s -> a where #

Methods

variableName :: Lens' s a #

#### Instances

Instances details

HasVariableName InlineValueVariableLookup (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods variableName :: Lens' InlineValueVariableLookup (Maybe Text) #

class HasExpression s a | s -> a where #

Methods

expression :: Lens' s a #

#### Instances

Instances details

HasExpression InlineValueEvaluatableExpression (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods expression :: Lens' InlineValueEvaluatableExpression (Maybe Text) #

class HasCells s a | s -> a where #

Methods

cells :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("structure" .== Maybe (Rec (("array" .== NotebookCellArrayChange) .+ (("didOpen" .== Maybe [TextDocumentItem]) .+ (("didClose" .== Maybe [TextDocumentIdentifier]) .+ (Empty :: Row Type)))))) .+ (("data" .== Maybe [NotebookCell]) .+ (("textContent" .== Maybe [Rec (("document" .== VersionedTextDocumentIdentifier) .+ (("changes" .== [TextDocumentContentChangeEvent]) .+ (Empty :: Row Type)))]) .+ (Empty :: Row Type))))) => HasCells NotebookDocumentChangeEvent a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cells :: Lens' NotebookDocumentChangeEvent a #
HasCells NotebookCellArrayChange (Maybe [NotebookCell]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cells :: Lens' NotebookCellArrayChange (Maybe [NotebookCell]) #
HasCells NotebookDocument [NotebookCell] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods cells :: Lens' NotebookDocument [NotebookCell] #

class HasMetadata s a | s -> a where #

Methods

metadata :: Lens' s a #

#### Instances

Instances details

HasMetadata NotebookCell (Maybe Object) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods metadata :: Lens' NotebookCell (Maybe Object) #
HasMetadata NotebookDocument (Maybe Object) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods metadata :: Lens' NotebookDocument (Maybe Object) #
HasMetadata NotebookDocumentChangeEvent (Maybe Object) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods metadata :: Lens' NotebookDocumentChangeEvent (Maybe Object) #

class HasNotebookType s a | s -> a where #

Methods

notebookType :: Lens' s a #

#### Instances

Instances details

HasNotebookType NotebookDocument Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookType :: Lens' NotebookDocument Text #

class HasLanguageId s a | s -> a where #

Methods

languageId :: Lens' s a #

#### Instances

Instances details

HasLanguageId TextDocumentItem Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods languageId :: Lens' TextDocumentItem Text #

class HasMethod s a | s -> a where #

Methods

method :: Lens' s a #

#### Instances

Instances details

HasMethod Registration Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods method :: Lens' Registration Text #
HasMethod Unregistration Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods method :: Lens' Unregistration Text #
HasMethod NotificationMessage Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' NotificationMessage Text #
HasMethod RequestMessage Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' RequestMessage Text #
HasMethod (TRegistration m) (SClientMethod m) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' (TRegistration m) (SClientMethod m) #
HasMethod (TUnregistration m) (SMethod m) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' (TUnregistration m) (SMethod m) #
HasMethod (TNotificationMessage m) (SMethod m) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' (TNotificationMessage m) (SMethod m) #
HasMethod (TRequestMessage m) (SMethod m) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods method :: Lens' (TRequestMessage m) (SMethod m) #

class HasRegisterOptions s a | s -> a where #

Methods

registerOptions :: Lens' s a #

#### Instances

Instances details

HasRegisterOptions Registration (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods registerOptions :: Lens' Registration (Maybe Value) #
a ~ Maybe (RegistrationOptions m) => HasRegisterOptions (TRegistration m) a # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods registerOptions :: Lens' (TRegistration m) a #

class HasCallHierarchyProvider s a | s -> a where #

Methods

callHierarchyProvider :: Lens' s a #

#### Instances

Instances details

HasCallHierarchyProvider ServerCapabilities (Maybe (Bool |? (CallHierarchyOptions |? CallHierarchyRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods callHierarchyProvider :: Lens' ServerCapabilities (Maybe (Bool |? (CallHierarchyOptions |? CallHierarchyRegistrationOptions))) #

class HasCodeActionProvider s a | s -> a where #

Methods

codeActionProvider :: Lens' s a #

#### Instances

Instances details

HasCodeActionProvider ServerCapabilities (Maybe (Bool |? CodeActionOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeActionProvider :: Lens' ServerCapabilities (Maybe (Bool |? CodeActionOptions)) #

class HasCodeLensProvider s a | s -> a where #

Methods

codeLensProvider :: Lens' s a #

#### Instances

Instances details

HasCodeLensProvider ServerCapabilities (Maybe CodeLensOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeLensProvider :: Lens' ServerCapabilities (Maybe CodeLensOptions) #

class HasColorProvider s a | s -> a where #

Methods

colorProvider :: Lens' s a #

#### Instances

Instances details

HasColorProvider ServerCapabilities (Maybe (Bool |? (DocumentColorOptions |? DocumentColorRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods colorProvider :: Lens' ServerCapabilities (Maybe (Bool |? (DocumentColorOptions |? DocumentColorRegistrationOptions))) #
HasColorProvider TextDocumentClientCapabilities (Maybe DocumentColorClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods colorProvider :: Lens' TextDocumentClientCapabilities (Maybe DocumentColorClientCapabilities) #

class HasCompletionProvider s a | s -> a where #

Methods

completionProvider :: Lens' s a #

#### Instances

Instances details

HasCompletionProvider ServerCapabilities (Maybe CompletionOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionProvider :: Lens' ServerCapabilities (Maybe CompletionOptions) #

class HasDeclarationProvider s a | s -> a where #

Methods

declarationProvider :: Lens' s a #

#### Instances

Instances details

HasDeclarationProvider ServerCapabilities (Maybe (Bool |? (DeclarationOptions |? DeclarationRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods declarationProvider :: Lens' ServerCapabilities (Maybe (Bool |? (DeclarationOptions |? DeclarationRegistrationOptions))) #

class HasDefinitionProvider s a | s -> a where #

Methods

definitionProvider :: Lens' s a #

#### Instances

Instances details

HasDefinitionProvider ServerCapabilities (Maybe (Bool |? DefinitionOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods definitionProvider :: Lens' ServerCapabilities (Maybe (Bool |? DefinitionOptions)) #

class HasDiagnosticProvider s a | s -> a where #

Methods

diagnosticProvider :: Lens' s a #

#### Instances

Instances details

HasDiagnosticProvider ServerCapabilities (Maybe (DiagnosticOptions |? DiagnosticRegistrationOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnosticProvider :: Lens' ServerCapabilities (Maybe (DiagnosticOptions |? DiagnosticRegistrationOptions)) #

class HasDocumentFormattingProvider s a | s -> a where #

Methods

documentFormattingProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentFormattingProvider ServerCapabilities (Maybe (Bool |? DocumentFormattingOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentFormattingProvider :: Lens' ServerCapabilities (Maybe (Bool |? DocumentFormattingOptions)) #

class HasDocumentHighlightProvider s a | s -> a where #

Methods

documentHighlightProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentHighlightProvider ServerCapabilities (Maybe (Bool |? DocumentHighlightOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentHighlightProvider :: Lens' ServerCapabilities (Maybe (Bool |? DocumentHighlightOptions)) #

class HasDocumentLinkProvider s a | s -> a where #

Methods

documentLinkProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentLinkProvider ServerCapabilities (Maybe DocumentLinkOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentLinkProvider :: Lens' ServerCapabilities (Maybe DocumentLinkOptions) #

class HasDocumentOnTypeFormattingProvider s a | s -> a where #

Methods

documentOnTypeFormattingProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentOnTypeFormattingProvider ServerCapabilities (Maybe DocumentOnTypeFormattingOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentOnTypeFormattingProvider :: Lens' ServerCapabilities (Maybe DocumentOnTypeFormattingOptions) #

class HasDocumentRangeFormattingProvider s a | s -> a where #

Methods

documentRangeFormattingProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentRangeFormattingProvider ServerCapabilities (Maybe (Bool |? DocumentRangeFormattingOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentRangeFormattingProvider :: Lens' ServerCapabilities (Maybe (Bool |? DocumentRangeFormattingOptions)) #

class HasDocumentSymbolProvider s a | s -> a where #

Methods

documentSymbolProvider :: Lens' s a #

#### Instances

Instances details

HasDocumentSymbolProvider ServerCapabilities (Maybe (Bool |? DocumentSymbolOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSymbolProvider :: Lens' ServerCapabilities (Maybe (Bool |? DocumentSymbolOptions)) #

class HasExecuteCommandProvider s a | s -> a where #

Methods

executeCommandProvider :: Lens' s a #

#### Instances

Instances details

HasExecuteCommandProvider ServerCapabilities (Maybe ExecuteCommandOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods executeCommandProvider :: Lens' ServerCapabilities (Maybe ExecuteCommandOptions) #

class HasExperimental s a | s -> a where #

Methods

experimental :: Lens' s a #

#### Instances

Instances details

HasExperimental ClientCapabilities (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods experimental :: Lens' ClientCapabilities (Maybe Value) #
HasExperimental ServerCapabilities (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods experimental :: Lens' ServerCapabilities (Maybe Value) #

class HasFoldingRangeProvider s a | s -> a where #

Methods

foldingRangeProvider :: Lens' s a #

#### Instances

Instances details

HasFoldingRangeProvider ServerCapabilities (Maybe (Bool |? (FoldingRangeOptions |? FoldingRangeRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods foldingRangeProvider :: Lens' ServerCapabilities (Maybe (Bool |? (FoldingRangeOptions |? FoldingRangeRegistrationOptions))) #

class HasHoverProvider s a | s -> a where #

Methods

hoverProvider :: Lens' s a #

#### Instances

Instances details

HasHoverProvider ServerCapabilities (Maybe (Bool |? HoverOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods hoverProvider :: Lens' ServerCapabilities (Maybe (Bool |? HoverOptions)) #

class HasImplementationProvider s a | s -> a where #

Methods

implementationProvider :: Lens' s a #

#### Instances

Instances details

HasImplementationProvider ServerCapabilities (Maybe (Bool |? (ImplementationOptions |? ImplementationRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods implementationProvider :: Lens' ServerCapabilities (Maybe (Bool |? (ImplementationOptions |? ImplementationRegistrationOptions))) #

class HasInlayHintProvider s a | s -> a where #

Methods

inlayHintProvider :: Lens' s a #

#### Instances

Instances details

HasInlayHintProvider ServerCapabilities (Maybe (Bool |? (InlayHintOptions |? InlayHintRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlayHintProvider :: Lens' ServerCapabilities (Maybe (Bool |? (InlayHintOptions |? InlayHintRegistrationOptions))) #

class HasInlineValueProvider s a | s -> a where #

Methods

inlineValueProvider :: Lens' s a #

#### Instances

Instances details

HasInlineValueProvider ServerCapabilities (Maybe (Bool |? (InlineValueOptions |? InlineValueRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlineValueProvider :: Lens' ServerCapabilities (Maybe (Bool |? (InlineValueOptions |? InlineValueRegistrationOptions))) #

class HasLinkedEditingRangeProvider s a | s -> a where #

Methods

linkedEditingRangeProvider :: Lens' s a #

#### Instances

Instances details

HasLinkedEditingRangeProvider ServerCapabilities (Maybe (Bool |? (LinkedEditingRangeOptions |? LinkedEditingRangeRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkedEditingRangeProvider :: Lens' ServerCapabilities (Maybe (Bool |? (LinkedEditingRangeOptions |? LinkedEditingRangeRegistrationOptions))) #

class HasMonikerProvider s a | s -> a where #

Methods

monikerProvider :: Lens' s a #

#### Instances

Instances details

HasMonikerProvider ServerCapabilities (Maybe (Bool |? (MonikerOptions |? MonikerRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods monikerProvider :: Lens' ServerCapabilities (Maybe (Bool |? (MonikerOptions |? MonikerRegistrationOptions))) #

class HasNotebookDocumentSync s a | s -> a where #

Methods

notebookDocumentSync :: Lens' s a #

#### Instances

Instances details

HasNotebookDocumentSync ServerCapabilities (Maybe (NotebookDocumentSyncOptions |? NotebookDocumentSyncRegistrationOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookDocumentSync :: Lens' ServerCapabilities (Maybe (NotebookDocumentSyncOptions |? NotebookDocumentSyncRegistrationOptions)) #

class HasPositionEncoding s a | s -> a where #

Methods

positionEncoding :: Lens' s a #

#### Instances

Instances details

HasPositionEncoding ServerCapabilities (Maybe PositionEncodingKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods positionEncoding :: Lens' ServerCapabilities (Maybe PositionEncodingKind) #

class HasReferencesProvider s a | s -> a where #

Methods

referencesProvider :: Lens' s a #

#### Instances

Instances details

HasReferencesProvider ServerCapabilities (Maybe (Bool |? ReferenceOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods referencesProvider :: Lens' ServerCapabilities (Maybe (Bool |? ReferenceOptions)) #

class HasRenameProvider s a | s -> a where #

Methods

renameProvider :: Lens' s a #

#### Instances

Instances details

HasRenameProvider ServerCapabilities (Maybe (Bool |? RenameOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods renameProvider :: Lens' ServerCapabilities (Maybe (Bool |? RenameOptions)) #

class HasSelectionRangeProvider s a | s -> a where #

Methods

selectionRangeProvider :: Lens' s a #

#### Instances

Instances details

HasSelectionRangeProvider ServerCapabilities (Maybe (Bool |? (SelectionRangeOptions |? SelectionRangeRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods selectionRangeProvider :: Lens' ServerCapabilities (Maybe (Bool |? (SelectionRangeOptions |? SelectionRangeRegistrationOptions))) #

class HasSemanticTokensProvider s a | s -> a where #

Methods

semanticTokensProvider :: Lens' s a #

#### Instances

Instances details

HasSemanticTokensProvider ServerCapabilities (Maybe (SemanticTokensOptions |? SemanticTokensRegistrationOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods semanticTokensProvider :: Lens' ServerCapabilities (Maybe (SemanticTokensOptions |? SemanticTokensRegistrationOptions)) #

class HasSignatureHelpProvider s a | s -> a where #

Methods

signatureHelpProvider :: Lens' s a #

#### Instances

Instances details

HasSignatureHelpProvider ServerCapabilities (Maybe SignatureHelpOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods signatureHelpProvider :: Lens' ServerCapabilities (Maybe SignatureHelpOptions) #

class HasTextDocumentSync s a | s -> a where #

Methods

textDocumentSync :: Lens' s a #

#### Instances

Instances details

HasTextDocumentSync ServerCapabilities (Maybe (TextDocumentSyncOptions |? TextDocumentSyncKind)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods textDocumentSync :: Lens' ServerCapabilities (Maybe (TextDocumentSyncOptions |? TextDocumentSyncKind)) #

class HasTypeDefinitionProvider s a | s -> a where #

Methods

typeDefinitionProvider :: Lens' s a #

#### Instances

Instances details

HasTypeDefinitionProvider ServerCapabilities (Maybe (Bool |? (TypeDefinitionOptions |? TypeDefinitionRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods typeDefinitionProvider :: Lens' ServerCapabilities (Maybe (Bool |? (TypeDefinitionOptions |? TypeDefinitionRegistrationOptions))) #

class HasTypeHierarchyProvider s a | s -> a where #

Methods

typeHierarchyProvider :: Lens' s a #

#### Instances

Instances details

HasTypeHierarchyProvider ServerCapabilities (Maybe (Bool |? (TypeHierarchyOptions |? TypeHierarchyRegistrationOptions))) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods typeHierarchyProvider :: Lens' ServerCapabilities (Maybe (Bool |? (TypeHierarchyOptions |? TypeHierarchyRegistrationOptions))) #

class HasWorkspace s a | s -> a where #

Methods

workspace :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("workspaceFolders" .== Maybe WorkspaceFoldersServerCapabilities) .+ (("fileOperations" .== Maybe FileOperationOptions) .+ (Empty :: Row Type)))) => HasWorkspace ServerCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspace :: Lens' ServerCapabilities a #
HasWorkspace ClientCapabilities (Maybe WorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspace :: Lens' ClientCapabilities (Maybe WorkspaceClientCapabilities) #

class HasWorkspaceSymbolProvider s a | s -> a where #

Methods

workspaceSymbolProvider :: Lens' s a #

#### Instances

Instances details

HasWorkspaceSymbolProvider ServerCapabilities (Maybe (Bool |? WorkspaceSymbolOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceSymbolProvider :: Lens' ServerCapabilities (Maybe (Bool |? WorkspaceSymbolOptions)) #

class HasGlobPattern s a | s -> a where #

Methods

globPattern :: Lens' s a #

#### Instances

Instances details

HasGlobPattern FileSystemWatcher GlobPattern # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods globPattern :: Lens' FileSystemWatcher GlobPattern #

class HasCode s a | s -> a where #

Methods

code :: Lens' s a #

#### Instances

Instances details

HasCode Diagnostic (Maybe (Int32 |? Text)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods code :: Lens' Diagnostic (Maybe (Int32 |? Text)) #
HasCode ResponseError (LSPErrorCodes |? ErrorCodes) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods code :: Lens' ResponseError (LSPErrorCodes |? ErrorCodes) #
HasCode (TResponseError m) (LSPErrorCodes |? ErrorCodes) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods code :: Lens' (TResponseError m) (LSPErrorCodes |? ErrorCodes) #

class HasCodeDescription s a | s -> a where #

Methods

codeDescription :: Lens' s a #

#### Instances

Instances details

HasCodeDescription Diagnostic (Maybe CodeDescription) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeDescription :: Lens' Diagnostic (Maybe CodeDescription) #

class HasRelatedInformation s a | s -> a where #

Methods

relatedInformation :: Lens' s a #

#### Instances

Instances details

HasRelatedInformation Diagnostic (Maybe [DiagnosticRelatedInformation]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedInformation :: Lens' Diagnostic (Maybe [DiagnosticRelatedInformation]) #
HasRelatedInformation PublishDiagnosticsClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedInformation :: Lens' PublishDiagnosticsClientCapabilities (Maybe Bool) #

class HasSeverity s a | s -> a where #

Methods

severity :: Lens' s a #

#### Instances

Instances details

HasSeverity Diagnostic (Maybe DiagnosticSeverity) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods severity :: Lens' Diagnostic (Maybe DiagnosticSeverity) #

class HasSource s a | s -> a where #

Methods

source :: Lens' s a #

#### Instances

Instances details

HasSource Diagnostic (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods source :: Lens' Diagnostic (Maybe Text) #

class HasTriggerCharacter s a | s -> a where #

Methods

triggerCharacter :: Lens' s a #

#### Instances

Instances details

HasTriggerCharacter CompletionContext (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacter :: Lens' CompletionContext (Maybe Text) #
HasTriggerCharacter SignatureHelpContext (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerCharacter :: Lens' SignatureHelpContext (Maybe Text) #

class HasTriggerKind s a | s -> a where #

Methods

triggerKind :: Lens' s a #

#### Instances

Instances details

HasTriggerKind CompletionContext CompletionTriggerKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerKind :: Lens' CompletionContext CompletionTriggerKind #
HasTriggerKind SignatureHelpContext SignatureHelpTriggerKind # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerKind :: Lens' SignatureHelpContext SignatureHelpTriggerKind #
HasTriggerKind CodeActionContext (Maybe CodeActionTriggerKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods triggerKind :: Lens' CodeActionContext (Maybe CodeActionTriggerKind) #

class HasInsert s a | s -> a where #

Methods

insert :: Lens' s a #

#### Instances

Instances details

HasInsert InsertReplaceEdit Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insert :: Lens' InsertReplaceEdit Range #

class HasReplace s a | s -> a where #

Methods

replace :: Lens' s a #

#### Instances

Instances details

HasReplace InsertReplaceEdit Range # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods replace :: Lens' InsertReplaceEdit Range #

class HasActiveSignatureHelp s a | s -> a where #

Methods

activeSignatureHelp :: Lens' s a #

#### Instances

Instances details

HasActiveSignatureHelp SignatureHelpContext (Maybe SignatureHelp) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods activeSignatureHelp :: Lens' SignatureHelpContext (Maybe SignatureHelp) #

class HasIsRetrigger s a | s -> a where #

Methods

isRetrigger :: Lens' s a #

#### Instances

Instances details

HasIsRetrigger SignatureHelpContext Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods isRetrigger :: Lens' SignatureHelpContext Bool #

class HasParameters s a | s -> a where #

Methods

parameters :: Lens' s a #

#### Instances

Instances details

HasParameters SignatureInformation (Maybe [ParameterInformation]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods parameters :: Lens' SignatureInformation (Maybe [ParameterInformation]) #

class HasIncludeDeclaration s a | s -> a where #

Methods

includeDeclaration :: Lens' s a #

#### Instances

Instances details

HasIncludeDeclaration ReferenceContext Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods includeDeclaration :: Lens' ReferenceContext Bool #

class HasOnly s a | s -> a where #

Methods

only :: Lens' s a #

#### Instances

Instances details

HasOnly CodeActionContext (Maybe [CodeActionKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods only :: Lens' CodeActionContext (Maybe [CodeActionKind]) #

class HasInsertFinalNewline s a | s -> a where #

Methods

insertFinalNewline :: Lens' s a #

#### Instances

Instances details

HasInsertFinalNewline FormattingOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertFinalNewline :: Lens' FormattingOptions (Maybe Bool) #

class HasInsertSpaces s a | s -> a where #

Methods

insertSpaces :: Lens' s a #

#### Instances

Instances details

HasInsertSpaces FormattingOptions Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods insertSpaces :: Lens' FormattingOptions Bool #

class HasTabSize s a | s -> a where #

Methods

tabSize :: Lens' s a #

#### Instances

Instances details

HasTabSize FormattingOptions UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tabSize :: Lens' FormattingOptions UInt #

class HasTrimFinalNewlines s a | s -> a where #

Methods

trimFinalNewlines :: Lens' s a #

#### Instances

Instances details

HasTrimFinalNewlines FormattingOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods trimFinalNewlines :: Lens' FormattingOptions (Maybe Bool) #

class HasTrimTrailingWhitespace s a | s -> a where #

Methods

trimTrailingWhitespace :: Lens' s a #

#### Instances

Instances details

HasTrimTrailingWhitespace FormattingOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods trimTrailingWhitespace :: Lens' FormattingOptions (Maybe Bool) #

class HasTokenModifiers s a | s -> a where #

Methods

tokenModifiers :: Lens' s a #

#### Instances

Instances details

HasTokenModifiers SemanticTokensClientCapabilities [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tokenModifiers :: Lens' SemanticTokensClientCapabilities [Text] #
HasTokenModifiers SemanticTokensLegend [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tokenModifiers :: Lens' SemanticTokensLegend [Text] #
HasTokenModifiers SemanticTokenAbsolute [SemanticTokenModifiers] # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods tokenModifiers :: Lens' SemanticTokenAbsolute [SemanticTokenModifiers] #
HasTokenModifiers SemanticTokenRelative [SemanticTokenModifiers] # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods tokenModifiers :: Lens' SemanticTokenRelative [SemanticTokenModifiers] #

class HasTokenTypes s a | s -> a where #

Methods

tokenTypes :: Lens' s a #

#### Instances

Instances details

HasTokenTypes SemanticTokensClientCapabilities [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tokenTypes :: Lens' SemanticTokensClientCapabilities [Text] #
HasTokenTypes SemanticTokensLegend [Text] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tokenTypes :: Lens' SemanticTokensLegend [Text] #

class HasIgnoreIfExists s a | s -> a where #

Methods

ignoreIfExists :: Lens' s a #

#### Instances

Instances details

HasIgnoreIfExists CreateFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ignoreIfExists :: Lens' CreateFileOptions (Maybe Bool) #
HasIgnoreIfExists RenameFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ignoreIfExists :: Lens' RenameFileOptions (Maybe Bool) #

class HasOverwrite s a | s -> a where #

Methods

overwrite :: Lens' s a #

#### Instances

Instances details

HasOverwrite CreateFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods overwrite :: Lens' CreateFileOptions (Maybe Bool) #
HasOverwrite RenameFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods overwrite :: Lens' RenameFileOptions (Maybe Bool) #

class HasIgnoreIfNotExists s a | s -> a where #

Methods

ignoreIfNotExists :: Lens' s a #

#### Instances

Instances details

HasIgnoreIfNotExists DeleteFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ignoreIfNotExists :: Lens' DeleteFileOptions (Maybe Bool) #

class HasRecursive s a | s -> a where #

Methods

recursive :: Lens' s a #

#### Instances

Instances details

HasRecursive DeleteFileOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods recursive :: Lens' DeleteFileOptions (Maybe Bool) #

class HasGlob s a | s -> a where #

Methods

glob :: Lens' s a #

#### Instances

Instances details

HasGlob FileOperationPattern Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods glob :: Lens' FileOperationPattern Text #

class HasMatches s a | s -> a where #

Methods

matches :: Lens' s a #

#### Instances

Instances details

HasMatches FileOperationPattern (Maybe FileOperationPatternKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods matches :: Lens' FileOperationPattern (Maybe FileOperationPatternKind) #

class HasDocument s a | s -> a where #

Methods

document :: Lens' s a #

#### Instances

Instances details

HasDocument NotebookCell Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods document :: Lens' NotebookCell Uri #

class HasExecutionSummary s a | s -> a where #

Methods

executionSummary :: Lens' s a #

#### Instances

Instances details

HasExecutionSummary NotebookCell (Maybe ExecutionSummary) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods executionSummary :: Lens' NotebookCell (Maybe ExecutionSummary) #

class HasGeneral s a | s -> a where #

Methods

general :: Lens' s a #

#### Instances

Instances details

HasGeneral ClientCapabilities (Maybe GeneralClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods general :: Lens' ClientCapabilities (Maybe GeneralClientCapabilities) #

class HasWindow s a | s -> a where #

Methods

window :: Lens' s a #

#### Instances

Instances details

HasWindow ClientCapabilities (Maybe WindowClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods window :: Lens' ClientCapabilities (Maybe WindowClientCapabilities) #

class HasOpenClose s a | s -> a where #

Methods

openClose :: Lens' s a #

#### Instances

Instances details

HasOpenClose TextDocumentSyncOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods openClose :: Lens' TextDocumentSyncOptions (Maybe Bool) #

class HasSave s a | s -> a where #

Methods

save :: Lens' s a #

#### Instances

Instances details

HasSave NotebookDocumentSyncOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods save :: Lens' NotebookDocumentSyncOptions (Maybe Bool) #
HasSave NotebookDocumentSyncRegistrationOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods save :: Lens' NotebookDocumentSyncRegistrationOptions (Maybe Bool) #
HasSave TextDocumentSyncOptions (Maybe (Bool |? SaveOptions)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods save :: Lens' TextDocumentSyncOptions (Maybe (Bool |? SaveOptions)) #

class HasWillSave s a | s -> a where #

Methods

willSave :: Lens' s a #

#### Instances

Instances details

HasWillSave TextDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willSave :: Lens' TextDocumentSyncClientCapabilities (Maybe Bool) #
HasWillSave TextDocumentSyncOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willSave :: Lens' TextDocumentSyncOptions (Maybe Bool) #

class HasWillSaveWaitUntil s a | s -> a where #

Methods

willSaveWaitUntil :: Lens' s a #

#### Instances

Instances details

HasWillSaveWaitUntil TextDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willSaveWaitUntil :: Lens' TextDocumentSyncClientCapabilities (Maybe Bool) #
HasWillSaveWaitUntil TextDocumentSyncOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willSaveWaitUntil :: Lens' TextDocumentSyncOptions (Maybe Bool) #

class HasNotebookSelector s a | s -> a where #

Methods

notebookSelector :: Lens' s a #

#### Instances

Instances details

a ~ [Rec (("notebook" .== (Text |? NotebookDocumentFilter)) .+ (("cells" .== Maybe [Rec (("language" .== Text) .+ (Empty :: Row Type))]) .+ (Empty :: Row Type))) |? Rec (("notebook" .== Maybe (Text |? NotebookDocumentFilter)) .+ (("cells" .== [Rec (("language" .== Text) .+ (Empty :: Row Type))]) .+ (Empty :: Row Type)))] => HasNotebookSelector NotebookDocumentSyncOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookSelector :: Lens' NotebookDocumentSyncOptions a #
a ~ [Rec (("notebook" .== (Text |? NotebookDocumentFilter)) .+ (("cells" .== Maybe [Rec (("language" .== Text) .+ (Empty :: Row Type))]) .+ (Empty :: Row Type))) |? Rec (("notebook" .== Maybe (Text |? NotebookDocumentFilter)) .+ (("cells" .== [Rec (("language" .== Text) .+ (Empty :: Row Type))]) .+ (Empty :: Row Type)))] => HasNotebookSelector NotebookDocumentSyncRegistrationOptions a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebookSelector :: Lens' NotebookDocumentSyncRegistrationOptions a #

class HasChangeNotifications s a | s -> a where #

Methods

changeNotifications :: Lens' s a #

#### Instances

Instances details

HasChangeNotifications WorkspaceFoldersServerCapabilities (Maybe (Text |? Bool)) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods changeNotifications :: Lens' WorkspaceFoldersServerCapabilities (Maybe (Text |? Bool)) #

class HasSupported s a | s -> a where #

Methods

supported :: Lens' s a #

#### Instances

Instances details

HasSupported WorkspaceFoldersServerCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods supported :: Lens' WorkspaceFoldersServerCapabilities (Maybe Bool) #

class HasDidCreate s a | s -> a where #

Methods

didCreate :: Lens' s a #

#### Instances

Instances details

HasDidCreate FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didCreate :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasDidCreate FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didCreate :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasDidDelete s a | s -> a where #

Methods

didDelete :: Lens' s a #

#### Instances

Instances details

HasDidDelete FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didDelete :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasDidDelete FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didDelete :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasDidRename s a | s -> a where #

Methods

didRename :: Lens' s a #

#### Instances

Instances details

HasDidRename FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didRename :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasDidRename FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didRename :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasWillCreate s a | s -> a where #

Methods

willCreate :: Lens' s a #

#### Instances

Instances details

HasWillCreate FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willCreate :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasWillCreate FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willCreate :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasWillDelete s a | s -> a where #

Methods

willDelete :: Lens' s a #

#### Instances

Instances details

HasWillDelete FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willDelete :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasWillDelete FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willDelete :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasWillRename s a | s -> a where #

Methods

willRename :: Lens' s a #

#### Instances

Instances details

HasWillRename FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willRename :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasWillRename FileOperationOptions (Maybe FileOperationRegistrationOptions) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods willRename :: Lens' FileOperationOptions (Maybe FileOperationRegistrationOptions) #

class HasHref s a | s -> a where #

Methods

href :: Lens' s a #

#### Instances

Instances details

HasHref CodeDescription Uri # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods href :: Lens' CodeDescription Uri #

class HasLanguage s a | s -> a where #

Methods

language :: Lens' s a #

#### Instances

Instances details

HasLanguage NotebookCellTextDocumentFilter (Maybe Text) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods language :: Lens' NotebookCellTextDocumentFilter (Maybe Text) #

class HasNotebook s a | s -> a where #

Methods

notebook :: Lens' s a #

#### Instances

Instances details

HasNotebook NotebookCellTextDocumentFilter (Text |? NotebookDocumentFilter) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods notebook :: Lens' NotebookCellTextDocumentFilter (Text |? NotebookDocumentFilter) #

class HasIgnoreCase s a | s -> a where #

Methods

ignoreCase :: Lens' s a #

#### Instances

Instances details

HasIgnoreCase FileOperationPatternOptions (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods ignoreCase :: Lens' FileOperationPatternOptions (Maybe Bool) #

class HasExecutionOrder s a | s -> a where #

Methods

executionOrder :: Lens' s a #

#### Instances

Instances details

HasExecutionOrder ExecutionSummary UInt # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods executionOrder :: Lens' ExecutionSummary UInt #

class HasApplyEdit s a | s -> a where #

Methods

applyEdit :: Lens' s a #

#### Instances

Instances details

HasApplyEdit WorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods applyEdit :: Lens' WorkspaceClientCapabilities (Maybe Bool) #

class HasCodeLens s a | s -> a where #

Methods

codeLens :: Lens' s a #

#### Instances

Instances details

HasCodeLens TextDocumentClientCapabilities (Maybe CodeLensClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeLens :: Lens' TextDocumentClientCapabilities (Maybe CodeLensClientCapabilities) #
HasCodeLens WorkspaceClientCapabilities (Maybe CodeLensWorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeLens :: Lens' WorkspaceClientCapabilities (Maybe CodeLensWorkspaceClientCapabilities) #

class HasConfiguration s a | s -> a where #

Methods

configuration :: Lens' s a #

#### Instances

Instances details

HasConfiguration WorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods configuration :: Lens' WorkspaceClientCapabilities (Maybe Bool) #

class HasDidChangeConfiguration s a | s -> a where #

Methods

didChangeConfiguration :: Lens' s a #

#### Instances

Instances details

HasDidChangeConfiguration WorkspaceClientCapabilities (Maybe DidChangeConfigurationClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didChangeConfiguration :: Lens' WorkspaceClientCapabilities (Maybe DidChangeConfigurationClientCapabilities) #

class HasDidChangeWatchedFiles s a | s -> a where #

Methods

didChangeWatchedFiles :: Lens' s a #

#### Instances

Instances details

HasDidChangeWatchedFiles WorkspaceClientCapabilities (Maybe DidChangeWatchedFilesClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didChangeWatchedFiles :: Lens' WorkspaceClientCapabilities (Maybe DidChangeWatchedFilesClientCapabilities) #

class HasExecuteCommand s a | s -> a where #

Methods

executeCommand :: Lens' s a #

#### Instances

Instances details

HasExecuteCommand WorkspaceClientCapabilities (Maybe ExecuteCommandClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods executeCommand :: Lens' WorkspaceClientCapabilities (Maybe ExecuteCommandClientCapabilities) #

class HasFileOperations s a | s -> a where #

Methods

fileOperations :: Lens' s a #

#### Instances

Instances details

HasFileOperations WorkspaceClientCapabilities (Maybe FileOperationClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods fileOperations :: Lens' WorkspaceClientCapabilities (Maybe FileOperationClientCapabilities) #

class HasInlayHint s a | s -> a where #

Methods

inlayHint :: Lens' s a #

#### Instances

Instances details

HasInlayHint TextDocumentClientCapabilities (Maybe InlayHintClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlayHint :: Lens' TextDocumentClientCapabilities (Maybe InlayHintClientCapabilities) #
HasInlayHint WorkspaceClientCapabilities (Maybe InlayHintWorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlayHint :: Lens' WorkspaceClientCapabilities (Maybe InlayHintWorkspaceClientCapabilities) #

class HasInlineValue s a | s -> a where #

Methods

inlineValue :: Lens' s a #

#### Instances

Instances details

HasInlineValue TextDocumentClientCapabilities (Maybe InlineValueClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlineValue :: Lens' TextDocumentClientCapabilities (Maybe InlineValueClientCapabilities) #
HasInlineValue WorkspaceClientCapabilities (Maybe InlineValueWorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods inlineValue :: Lens' WorkspaceClientCapabilities (Maybe InlineValueWorkspaceClientCapabilities) #

class HasSemanticTokens s a | s -> a where #

Methods

semanticTokens :: Lens' s a #

#### Instances

Instances details

HasSemanticTokens TextDocumentClientCapabilities (Maybe SemanticTokensClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods semanticTokens :: Lens' TextDocumentClientCapabilities (Maybe SemanticTokensClientCapabilities) #
HasSemanticTokens WorkspaceClientCapabilities (Maybe SemanticTokensWorkspaceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods semanticTokens :: Lens' WorkspaceClientCapabilities (Maybe SemanticTokensWorkspaceClientCapabilities) #

class HasSymbol s a | s -> a where #

Methods

symbol :: Lens' s a #

#### Instances

Instances details

HasSymbol WorkspaceClientCapabilities (Maybe WorkspaceSymbolClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods symbol :: Lens' WorkspaceClientCapabilities (Maybe WorkspaceSymbolClientCapabilities) #

class HasWorkspaceEdit s a | s -> a where #

Methods

workspaceEdit :: Lens' s a #

#### Instances

Instances details

HasWorkspaceEdit WorkspaceClientCapabilities (Maybe WorkspaceEditClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods workspaceEdit :: Lens' WorkspaceClientCapabilities (Maybe WorkspaceEditClientCapabilities) #

class HasCallHierarchy s a | s -> a where #

Methods

callHierarchy :: Lens' s a #

#### Instances

Instances details

HasCallHierarchy TextDocumentClientCapabilities (Maybe CallHierarchyClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods callHierarchy :: Lens' TextDocumentClientCapabilities (Maybe CallHierarchyClientCapabilities) #

class HasCodeAction s a | s -> a where #

Methods

codeAction :: Lens' s a #

#### Instances

Instances details

HasCodeAction TextDocumentClientCapabilities (Maybe CodeActionClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeAction :: Lens' TextDocumentClientCapabilities (Maybe CodeActionClientCapabilities) #

class HasCompletion s a | s -> a where #

Methods

completion :: Lens' s a #

#### Instances

Instances details

HasCompletion TextDocumentClientCapabilities (Maybe CompletionClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completion :: Lens' TextDocumentClientCapabilities (Maybe CompletionClientCapabilities) #

class HasDeclaration s a | s -> a where #

Methods

declaration :: Lens' s a #

#### Instances

Instances details

HasDeclaration TextDocumentClientCapabilities (Maybe DeclarationClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods declaration :: Lens' TextDocumentClientCapabilities (Maybe DeclarationClientCapabilities) #

class HasDefinition s a | s -> a where #

Methods

definition :: Lens' s a #

#### Instances

Instances details

HasDefinition TextDocumentClientCapabilities (Maybe DefinitionClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods definition :: Lens' TextDocumentClientCapabilities (Maybe DefinitionClientCapabilities) #

class HasDiagnostic s a | s -> a where #

Methods

diagnostic :: Lens' s a #

#### Instances

Instances details

HasDiagnostic TextDocumentClientCapabilities (Maybe DiagnosticClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods diagnostic :: Lens' TextDocumentClientCapabilities (Maybe DiagnosticClientCapabilities) #

class HasDocumentHighlight s a | s -> a where #

Methods

documentHighlight :: Lens' s a #

#### Instances

Instances details

HasDocumentHighlight TextDocumentClientCapabilities (Maybe DocumentHighlightClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentHighlight :: Lens' TextDocumentClientCapabilities (Maybe DocumentHighlightClientCapabilities) #

class HasDocumentLink s a | s -> a where #

Methods

documentLink :: Lens' s a #

#### Instances

Instances details

HasDocumentLink TextDocumentClientCapabilities (Maybe DocumentLinkClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentLink :: Lens' TextDocumentClientCapabilities (Maybe DocumentLinkClientCapabilities) #

class HasDocumentSymbol s a | s -> a where #

Methods

documentSymbol :: Lens' s a #

#### Instances

Instances details

HasDocumentSymbol TextDocumentClientCapabilities (Maybe DocumentSymbolClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods documentSymbol :: Lens' TextDocumentClientCapabilities (Maybe DocumentSymbolClientCapabilities) #

class HasFoldingRange s a | s -> a where #

Methods

foldingRange :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("collapsedText" .== Maybe Bool) .+ (Empty :: Row Type))) => HasFoldingRange FoldingRangeClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods foldingRange :: Lens' FoldingRangeClientCapabilities a #
HasFoldingRange TextDocumentClientCapabilities (Maybe FoldingRangeClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods foldingRange :: Lens' TextDocumentClientCapabilities (Maybe FoldingRangeClientCapabilities) #

class HasFormatting s a | s -> a where #

Methods

formatting :: Lens' s a #

#### Instances

Instances details

HasFormatting TextDocumentClientCapabilities (Maybe DocumentFormattingClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods formatting :: Lens' TextDocumentClientCapabilities (Maybe DocumentFormattingClientCapabilities) #

class HasHover s a | s -> a where #

Methods

hover :: Lens' s a #

#### Instances

Instances details

HasHover TextDocumentClientCapabilities (Maybe HoverClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods hover :: Lens' TextDocumentClientCapabilities (Maybe HoverClientCapabilities) #

class HasImplementation s a | s -> a where #

Methods

implementation :: Lens' s a #

#### Instances

Instances details

HasImplementation TextDocumentClientCapabilities (Maybe ImplementationClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods implementation :: Lens' TextDocumentClientCapabilities (Maybe ImplementationClientCapabilities) #

class HasLinkedEditingRange s a | s -> a where #

Methods

linkedEditingRange :: Lens' s a #

#### Instances

Instances details

HasLinkedEditingRange TextDocumentClientCapabilities (Maybe LinkedEditingRangeClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkedEditingRange :: Lens' TextDocumentClientCapabilities (Maybe LinkedEditingRangeClientCapabilities) #

class HasMoniker s a | s -> a where #

Methods

moniker :: Lens' s a #

#### Instances

Instances details

HasMoniker TextDocumentClientCapabilities (Maybe MonikerClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods moniker :: Lens' TextDocumentClientCapabilities (Maybe MonikerClientCapabilities) #

class HasOnTypeFormatting s a | s -> a where #

Methods

onTypeFormatting :: Lens' s a #

#### Instances

Instances details

HasOnTypeFormatting TextDocumentClientCapabilities (Maybe DocumentOnTypeFormattingClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods onTypeFormatting :: Lens' TextDocumentClientCapabilities (Maybe DocumentOnTypeFormattingClientCapabilities) #

class HasPublishDiagnostics s a | s -> a where #

Methods

publishDiagnostics :: Lens' s a #

#### Instances

Instances details

HasPublishDiagnostics TextDocumentClientCapabilities (Maybe PublishDiagnosticsClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods publishDiagnostics :: Lens' TextDocumentClientCapabilities (Maybe PublishDiagnosticsClientCapabilities) #

class HasRangeFormatting s a | s -> a where #

Methods

rangeFormatting :: Lens' s a #

#### Instances

Instances details

HasRangeFormatting TextDocumentClientCapabilities (Maybe DocumentRangeFormattingClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rangeFormatting :: Lens' TextDocumentClientCapabilities (Maybe DocumentRangeFormattingClientCapabilities) #

class HasReferences s a | s -> a where #

Methods

references :: Lens' s a #

#### Instances

Instances details

HasReferences TextDocumentClientCapabilities (Maybe ReferenceClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods references :: Lens' TextDocumentClientCapabilities (Maybe ReferenceClientCapabilities) #

class HasRename s a | s -> a where #

Methods

rename :: Lens' s a #

#### Instances

Instances details

HasRename TextDocumentClientCapabilities (Maybe RenameClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rename :: Lens' TextDocumentClientCapabilities (Maybe RenameClientCapabilities) #

class HasSignatureHelp s a | s -> a where #

Methods

signatureHelp :: Lens' s a #

#### Instances

Instances details

HasSignatureHelp TextDocumentClientCapabilities (Maybe SignatureHelpClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods signatureHelp :: Lens' TextDocumentClientCapabilities (Maybe SignatureHelpClientCapabilities) #

class HasSynchronization s a | s -> a where #

Methods

synchronization :: Lens' s a #

#### Instances

Instances details

HasSynchronization NotebookDocumentClientCapabilities NotebookDocumentSyncClientCapabilities # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods synchronization :: Lens' NotebookDocumentClientCapabilities NotebookDocumentSyncClientCapabilities #
HasSynchronization TextDocumentClientCapabilities (Maybe TextDocumentSyncClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods synchronization :: Lens' TextDocumentClientCapabilities (Maybe TextDocumentSyncClientCapabilities) #

class HasTypeDefinition s a | s -> a where #

Methods

typeDefinition :: Lens' s a #

#### Instances

Instances details

HasTypeDefinition TextDocumentClientCapabilities (Maybe TypeDefinitionClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods typeDefinition :: Lens' TextDocumentClientCapabilities (Maybe TypeDefinitionClientCapabilities) #

class HasTypeHierarchy s a | s -> a where #

Methods

typeHierarchy :: Lens' s a #

#### Instances

Instances details

HasTypeHierarchy TextDocumentClientCapabilities (Maybe TypeHierarchyClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods typeHierarchy :: Lens' TextDocumentClientCapabilities (Maybe TypeHierarchyClientCapabilities) #

class HasShowDocument s a | s -> a where #

Methods

showDocument :: Lens' s a #

#### Instances

Instances details

HasShowDocument WindowClientCapabilities (Maybe ShowDocumentClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods showDocument :: Lens' WindowClientCapabilities (Maybe ShowDocumentClientCapabilities) #

class HasShowMessage s a | s -> a where #

Methods

showMessage :: Lens' s a #

#### Instances

Instances details

HasShowMessage WindowClientCapabilities (Maybe ShowMessageRequestClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods showMessage :: Lens' WindowClientCapabilities (Maybe ShowMessageRequestClientCapabilities) #

class HasMarkdown s a | s -> a where #

Methods

markdown :: Lens' s a #

#### Instances

Instances details

HasMarkdown GeneralClientCapabilities (Maybe MarkdownClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods markdown :: Lens' GeneralClientCapabilities (Maybe MarkdownClientCapabilities) #

class HasPositionEncodings s a | s -> a where #

Methods

positionEncodings :: Lens' s a #

#### Instances

Instances details

HasPositionEncodings GeneralClientCapabilities (Maybe [PositionEncodingKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods positionEncodings :: Lens' GeneralClientCapabilities (Maybe [PositionEncodingKind]) #

class HasRegularExpressions s a | s -> a where #

Methods

regularExpressions :: Lens' s a #

#### Instances

Instances details

HasRegularExpressions GeneralClientCapabilities (Maybe RegularExpressionsClientCapabilities) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods regularExpressions :: Lens' GeneralClientCapabilities (Maybe RegularExpressionsClientCapabilities) #

class HasStaleRequestSupport s a | s -> a where #

Methods

staleRequestSupport :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("cancel" .== Bool) .+ (("retryOnContentModified" .== [Text]) .+ (Empty :: Row Type)))) => HasStaleRequestSupport GeneralClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods staleRequestSupport :: Lens' GeneralClientCapabilities a #

class HasBaseUri s a | s -> a where #

Methods

baseUri :: Lens' s a #

#### Instances

Instances details

HasBaseUri RelativePattern (WorkspaceFolder |? Uri) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods baseUri :: Lens' RelativePattern (WorkspaceFolder |? Uri) #

class HasChangeAnnotationSupport s a | s -> a where #

Methods

changeAnnotationSupport :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("groupsOnLabel" .== Maybe Bool) .+ (Empty :: Row Type))) => HasChangeAnnotationSupport WorkspaceEditClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods changeAnnotationSupport :: Lens' WorkspaceEditClientCapabilities a #

class HasFailureHandling s a | s -> a where #

Methods

failureHandling :: Lens' s a #

#### Instances

Instances details

HasFailureHandling WorkspaceEditClientCapabilities (Maybe FailureHandlingKind) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods failureHandling :: Lens' WorkspaceEditClientCapabilities (Maybe FailureHandlingKind) #

class HasNormalizesLineEndings s a | s -> a where #

Methods

normalizesLineEndings :: Lens' s a #

#### Instances

Instances details

HasNormalizesLineEndings WorkspaceEditClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods normalizesLineEndings :: Lens' WorkspaceEditClientCapabilities (Maybe Bool) #

class HasResourceOperations s a | s -> a where #

Methods

resourceOperations :: Lens' s a #

#### Instances

Instances details

HasResourceOperations WorkspaceEditClientCapabilities (Maybe [ResourceOperationKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resourceOperations :: Lens' WorkspaceEditClientCapabilities (Maybe [ResourceOperationKind]) #

class HasDynamicRegistration s a | s -> a where #

Methods

dynamicRegistration :: Lens' s a #

#### Instances

Instances details

HasDynamicRegistration CallHierarchyClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' CallHierarchyClientCapabilities (Maybe Bool) #
HasDynamicRegistration CodeActionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' CodeActionClientCapabilities (Maybe Bool) #
HasDynamicRegistration CodeLensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' CodeLensClientCapabilities (Maybe Bool) #
HasDynamicRegistration CompletionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' CompletionClientCapabilities (Maybe Bool) #
HasDynamicRegistration DeclarationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DeclarationClientCapabilities (Maybe Bool) #
HasDynamicRegistration DefinitionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DefinitionClientCapabilities (Maybe Bool) #
HasDynamicRegistration DiagnosticClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DiagnosticClientCapabilities (Maybe Bool) #
HasDynamicRegistration DidChangeConfigurationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DidChangeConfigurationClientCapabilities (Maybe Bool) #
HasDynamicRegistration DidChangeWatchedFilesClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DidChangeWatchedFilesClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentColorClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentColorClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentFormattingClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentFormattingClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentHighlightClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentHighlightClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentLinkClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentLinkClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentOnTypeFormattingClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentOnTypeFormattingClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentRangeFormattingClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentRangeFormattingClientCapabilities (Maybe Bool) #
HasDynamicRegistration DocumentSymbolClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' DocumentSymbolClientCapabilities (Maybe Bool) #
HasDynamicRegistration ExecuteCommandClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' ExecuteCommandClientCapabilities (Maybe Bool) #
HasDynamicRegistration FileOperationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' FileOperationClientCapabilities (Maybe Bool) #
HasDynamicRegistration FoldingRangeClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' FoldingRangeClientCapabilities (Maybe Bool) #
HasDynamicRegistration HoverClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' HoverClientCapabilities (Maybe Bool) #
HasDynamicRegistration ImplementationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' ImplementationClientCapabilities (Maybe Bool) #
HasDynamicRegistration InlayHintClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' InlayHintClientCapabilities (Maybe Bool) #
HasDynamicRegistration InlineValueClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' InlineValueClientCapabilities (Maybe Bool) #
HasDynamicRegistration LinkedEditingRangeClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' LinkedEditingRangeClientCapabilities (Maybe Bool) #
HasDynamicRegistration MonikerClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' MonikerClientCapabilities (Maybe Bool) #
HasDynamicRegistration NotebookDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' NotebookDocumentSyncClientCapabilities (Maybe Bool) #
HasDynamicRegistration ReferenceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' ReferenceClientCapabilities (Maybe Bool) #
HasDynamicRegistration RenameClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' RenameClientCapabilities (Maybe Bool) #
HasDynamicRegistration SelectionRangeClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' SelectionRangeClientCapabilities (Maybe Bool) #
HasDynamicRegistration SemanticTokensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' SemanticTokensClientCapabilities (Maybe Bool) #
HasDynamicRegistration SignatureHelpClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' SignatureHelpClientCapabilities (Maybe Bool) #
HasDynamicRegistration TextDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' TextDocumentSyncClientCapabilities (Maybe Bool) #
HasDynamicRegistration TypeDefinitionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' TypeDefinitionClientCapabilities (Maybe Bool) #
HasDynamicRegistration TypeHierarchyClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' TypeHierarchyClientCapabilities (Maybe Bool) #
HasDynamicRegistration WorkspaceSymbolClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dynamicRegistration :: Lens' WorkspaceSymbolClientCapabilities (Maybe Bool) #

class HasRelativePatternSupport s a | s -> a where #

Methods

relativePatternSupport :: Lens' s a #

#### Instances

Instances details

HasRelativePatternSupport DidChangeWatchedFilesClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relativePatternSupport :: Lens' DidChangeWatchedFilesClientCapabilities (Maybe Bool) #

class HasResolveSupport s a | s -> a where #

Methods

resolveSupport :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("properties" .== [Text]) .+ (Empty :: Row Type))) => HasResolveSupport CodeActionClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveSupport :: Lens' CodeActionClientCapabilities a #
a ~ Maybe (Rec (("properties" .== [Text]) .+ (Empty :: Row Type))) => HasResolveSupport InlayHintClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveSupport :: Lens' InlayHintClientCapabilities a #
a ~ Maybe (Rec (("properties" .== [Text]) .+ (Empty :: Row Type))) => HasResolveSupport WorkspaceSymbolClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods resolveSupport :: Lens' WorkspaceSymbolClientCapabilities a #

class HasSymbolKind s a | s -> a where #

Methods

symbolKind :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("valueSet" .== Maybe [SymbolKind]) .+ (Empty :: Row Type))) => HasSymbolKind DocumentSymbolClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods symbolKind :: Lens' DocumentSymbolClientCapabilities a #
a ~ Maybe (Rec (("valueSet" .== Maybe [SymbolKind]) .+ (Empty :: Row Type))) => HasSymbolKind WorkspaceSymbolClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods symbolKind :: Lens' WorkspaceSymbolClientCapabilities a #

class HasTagSupport s a | s -> a where #

Methods

tagSupport :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("valueSet" .== [SymbolTag]) .+ (Empty :: Row Type))) => HasTagSupport DocumentSymbolClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tagSupport :: Lens' DocumentSymbolClientCapabilities a #
a ~ Maybe (Rec (("valueSet" .== [DiagnosticTag]) .+ (Empty :: Row Type))) => HasTagSupport PublishDiagnosticsClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tagSupport :: Lens' PublishDiagnosticsClientCapabilities a #
a ~ Maybe (Rec (("valueSet" .== [SymbolTag]) .+ (Empty :: Row Type))) => HasTagSupport WorkspaceSymbolClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tagSupport :: Lens' WorkspaceSymbolClientCapabilities a #

class HasRefreshSupport s a | s -> a where #

Methods

refreshSupport :: Lens' s a #

#### Instances

Instances details

HasRefreshSupport CodeLensWorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods refreshSupport :: Lens' CodeLensWorkspaceClientCapabilities (Maybe Bool) #
HasRefreshSupport DiagnosticWorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods refreshSupport :: Lens' DiagnosticWorkspaceClientCapabilities (Maybe Bool) #
HasRefreshSupport InlayHintWorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods refreshSupport :: Lens' InlayHintWorkspaceClientCapabilities (Maybe Bool) #
HasRefreshSupport InlineValueWorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods refreshSupport :: Lens' InlineValueWorkspaceClientCapabilities (Maybe Bool) #
HasRefreshSupport SemanticTokensWorkspaceClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods refreshSupport :: Lens' SemanticTokensWorkspaceClientCapabilities (Maybe Bool) #

class HasDidSave s a | s -> a where #

Methods

didSave :: Lens' s a #

#### Instances

Instances details

HasDidSave TextDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods didSave :: Lens' TextDocumentSyncClientCapabilities (Maybe Bool) #

class HasCompletionItemKind s a | s -> a where #

Methods

completionItemKind :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("valueSet" .== Maybe [CompletionItemKind]) .+ (Empty :: Row Type))) => HasCompletionItemKind CompletionClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionItemKind :: Lens' CompletionClientCapabilities a #

class HasCompletionList s a | s -> a where #

Methods

completionList :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("itemDefaults" .== Maybe [Text]) .+ (Empty :: Row Type))) => HasCompletionList CompletionClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods completionList :: Lens' CompletionClientCapabilities a #

class HasContextSupport s a | s -> a where #

Methods

contextSupport :: Lens' s a #

#### Instances

Instances details

HasContextSupport CompletionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods contextSupport :: Lens' CompletionClientCapabilities (Maybe Bool) #
HasContextSupport SignatureHelpClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods contextSupport :: Lens' SignatureHelpClientCapabilities (Maybe Bool) #

class HasContentFormat s a | s -> a where #

Methods

contentFormat :: Lens' s a #

#### Instances

Instances details

HasContentFormat HoverClientCapabilities (Maybe [MarkupKind]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods contentFormat :: Lens' HoverClientCapabilities (Maybe [MarkupKind]) #

class HasSignatureInformation s a | s -> a where #

Methods

signatureInformation :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("documentationFormat" .== Maybe [MarkupKind]) .+ (("parameterInformation" .== Maybe (Rec (("labelOffsetSupport" .== Maybe Bool) .+ (Empty :: Row Type)))) .+ (("activeParameterSupport" .== Maybe Bool) .+ (Empty :: Row Type))))) => HasSignatureInformation SignatureHelpClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods signatureInformation :: Lens' SignatureHelpClientCapabilities a #

class HasLinkSupport s a | s -> a where #

Methods

linkSupport :: Lens' s a #

#### Instances

Instances details

HasLinkSupport DeclarationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkSupport :: Lens' DeclarationClientCapabilities (Maybe Bool) #
HasLinkSupport DefinitionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkSupport :: Lens' DefinitionClientCapabilities (Maybe Bool) #
HasLinkSupport ImplementationClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkSupport :: Lens' ImplementationClientCapabilities (Maybe Bool) #
HasLinkSupport TypeDefinitionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods linkSupport :: Lens' TypeDefinitionClientCapabilities (Maybe Bool) #

class HasHierarchicalDocumentSymbolSupport s a | s -> a where #

Methods

hierarchicalDocumentSymbolSupport :: Lens' s a #

#### Instances

Instances details

HasHierarchicalDocumentSymbolSupport DocumentSymbolClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods hierarchicalDocumentSymbolSupport :: Lens' DocumentSymbolClientCapabilities (Maybe Bool) #

class HasLabelSupport s a | s -> a where #

Methods

labelSupport :: Lens' s a #

#### Instances

Instances details

HasLabelSupport DocumentSymbolClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods labelSupport :: Lens' DocumentSymbolClientCapabilities (Maybe Bool) #

class HasCodeActionLiteralSupport s a | s -> a where #

Methods

codeActionLiteralSupport :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("codeActionKind" .== Rec (("valueSet" .== [CodeActionKind]) .+ (Empty :: Row Type))) .+ (Empty :: Row Type))) => HasCodeActionLiteralSupport CodeActionClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeActionLiteralSupport :: Lens' CodeActionClientCapabilities a #

class HasDataSupport s a | s -> a where #

Methods

dataSupport :: Lens' s a #

#### Instances

Instances details

HasDataSupport CodeActionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dataSupport :: Lens' CodeActionClientCapabilities (Maybe Bool) #
HasDataSupport PublishDiagnosticsClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods dataSupport :: Lens' PublishDiagnosticsClientCapabilities (Maybe Bool) #

class HasDisabledSupport s a | s -> a where #

Methods

disabledSupport :: Lens' s a #

#### Instances

Instances details

HasDisabledSupport CodeActionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods disabledSupport :: Lens' CodeActionClientCapabilities (Maybe Bool) #

class HasHonorsChangeAnnotations s a | s -> a where #

Methods

honorsChangeAnnotations :: Lens' s a #

#### Instances

Instances details

HasHonorsChangeAnnotations CodeActionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods honorsChangeAnnotations :: Lens' CodeActionClientCapabilities (Maybe Bool) #
HasHonorsChangeAnnotations RenameClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods honorsChangeAnnotations :: Lens' RenameClientCapabilities (Maybe Bool) #

class HasIsPreferredSupport s a | s -> a where #

Methods

isPreferredSupport :: Lens' s a #

#### Instances

Instances details

HasIsPreferredSupport CodeActionClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods isPreferredSupport :: Lens' CodeActionClientCapabilities (Maybe Bool) #

class HasTooltipSupport s a | s -> a where #

Methods

tooltipSupport :: Lens' s a #

#### Instances

Instances details

HasTooltipSupport DocumentLinkClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods tooltipSupport :: Lens' DocumentLinkClientCapabilities (Maybe Bool) #

class HasPrepareSupport s a | s -> a where #

Methods

prepareSupport :: Lens' s a #

#### Instances

Instances details

HasPrepareSupport RenameClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods prepareSupport :: Lens' RenameClientCapabilities (Maybe Bool) #

class HasPrepareSupportDefaultBehavior s a | s -> a where #

Methods

prepareSupportDefaultBehavior :: Lens' s a #

#### Instances

Instances details

HasPrepareSupportDefaultBehavior RenameClientCapabilities (Maybe PrepareSupportDefaultBehavior) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods prepareSupportDefaultBehavior :: Lens' RenameClientCapabilities (Maybe PrepareSupportDefaultBehavior) #

class HasFoldingRangeKind s a | s -> a where #

Methods

foldingRangeKind :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("valueSet" .== Maybe [FoldingRangeKind]) .+ (Empty :: Row Type))) => HasFoldingRangeKind FoldingRangeClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods foldingRangeKind :: Lens' FoldingRangeClientCapabilities a #

class HasLineFoldingOnly s a | s -> a where #

Methods

lineFoldingOnly :: Lens' s a #

#### Instances

Instances details

HasLineFoldingOnly FoldingRangeClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods lineFoldingOnly :: Lens' FoldingRangeClientCapabilities (Maybe Bool) #

class HasRangeLimit s a | s -> a where #

Methods

rangeLimit :: Lens' s a #

#### Instances

Instances details

HasRangeLimit FoldingRangeClientCapabilities (Maybe UInt) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods rangeLimit :: Lens' FoldingRangeClientCapabilities (Maybe UInt) #

class HasCodeDescriptionSupport s a | s -> a where #

Methods

codeDescriptionSupport :: Lens' s a #

#### Instances

Instances details

HasCodeDescriptionSupport PublishDiagnosticsClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods codeDescriptionSupport :: Lens' PublishDiagnosticsClientCapabilities (Maybe Bool) #

class HasVersionSupport s a | s -> a where #

Methods

versionSupport :: Lens' s a #

#### Instances

Instances details

HasVersionSupport PublishDiagnosticsClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods versionSupport :: Lens' PublishDiagnosticsClientCapabilities (Maybe Bool) #

class HasAugmentsSyntaxTokens s a | s -> a where #

Methods

augmentsSyntaxTokens :: Lens' s a #

#### Instances

Instances details

HasAugmentsSyntaxTokens SemanticTokensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods augmentsSyntaxTokens :: Lens' SemanticTokensClientCapabilities (Maybe Bool) #

class HasFormats s a | s -> a where #

Methods

formats :: Lens' s a #

#### Instances

Instances details

HasFormats SemanticTokensClientCapabilities [TokenFormat] # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods formats :: Lens' SemanticTokensClientCapabilities [TokenFormat] #

class HasMultilineTokenSupport s a | s -> a where #

Methods

multilineTokenSupport :: Lens' s a #

#### Instances

Instances details

HasMultilineTokenSupport SemanticTokensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods multilineTokenSupport :: Lens' SemanticTokensClientCapabilities (Maybe Bool) #

class HasOverlappingTokenSupport s a | s -> a where #

Methods

overlappingTokenSupport :: Lens' s a #

#### Instances

Instances details

HasOverlappingTokenSupport SemanticTokensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods overlappingTokenSupport :: Lens' SemanticTokensClientCapabilities (Maybe Bool) #

class HasRequests s a | s -> a where #

Methods

requests :: Lens' s a #

#### Instances

Instances details

a ~ Rec (("range" .== Maybe (Bool |? Rec (Empty :: Row Type))) .+ (("full" .== Maybe (Bool |? Rec (("delta" .== Maybe Bool) .+ (Empty :: Row Type)))) .+ (Empty :: Row Type))) => HasRequests SemanticTokensClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods requests :: Lens' SemanticTokensClientCapabilities a #

class HasServerCancelSupport s a | s -> a where #

Methods

serverCancelSupport :: Lens' s a #

#### Instances

Instances details

HasServerCancelSupport SemanticTokensClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods serverCancelSupport :: Lens' SemanticTokensClientCapabilities (Maybe Bool) #

class HasRelatedDocumentSupport s a | s -> a where #

Methods

relatedDocumentSupport :: Lens' s a #

#### Instances

Instances details

HasRelatedDocumentSupport DiagnosticClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods relatedDocumentSupport :: Lens' DiagnosticClientCapabilities (Maybe Bool) #

class HasExecutionSummarySupport s a | s -> a where #

Methods

executionSummarySupport :: Lens' s a #

#### Instances

Instances details

HasExecutionSummarySupport NotebookDocumentSyncClientCapabilities (Maybe Bool) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods executionSummarySupport :: Lens' NotebookDocumentSyncClientCapabilities (Maybe Bool) #

class HasMessageActionItem s a | s -> a where #

Methods

messageActionItem :: Lens' s a #

#### Instances

Instances details

a ~ Maybe (Rec (("additionalPropertiesSupport" .== Maybe Bool) .+ (Empty :: Row Type))) => HasMessageActionItem ShowMessageRequestClientCapabilities a # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods messageActionItem :: Lens' ShowMessageRequestClientCapabilities a #

class HasSupport s a | s -> a where #

Methods

support :: Lens' s a #

#### Instances

Instances details

HasSupport ShowDocumentClientCapabilities Bool # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods support :: Lens' ShowDocumentClientCapabilities Bool #

class HasEngine s a | s -> a where #

Methods

engine :: Lens' s a #

#### Instances

Instances details

HasEngine RegularExpressionsClientCapabilities Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods engine :: Lens' RegularExpressionsClientCapabilities Text #

class HasAllowedTags s a | s -> a where #

Methods

allowedTags :: Lens' s a #

#### Instances

Instances details

HasAllowedTags MarkdownClientCapabilities (Maybe [Text]) # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods allowedTags :: Lens' MarkdownClientCapabilities (Maybe [Text]) #

class HasParser s a | s -> a where #

Methods

parser :: Lens' s a #

#### Instances

Instances details

HasParser MarkdownClientCapabilities Text # |
Instance details Defined in Language.LSP.Protocol.Internal.Lens Methods parser :: Lens' MarkdownClientCapabilities Text #

class HasLength s a | s -> a where #

Methods

length :: Lens' s a #

#### Instances

Instances details

HasLength SemanticTokenAbsolute UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods length :: Lens' SemanticTokenAbsolute UInt #
HasLength SemanticTokenRelative UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods length :: Lens' SemanticTokenRelative UInt #

class HasStartChar s a | s -> a where #

Methods

startChar :: Lens' s a #

#### Instances

Instances details

HasStartChar SemanticTokenAbsolute UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods startChar :: Lens' SemanticTokenAbsolute UInt #

class HasTokenType s a | s -> a where #

Methods

tokenType :: Lens' s a #

#### Instances

Instances details

HasTokenType SemanticTokenAbsolute SemanticTokenTypes # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods tokenType :: Lens' SemanticTokenAbsolute SemanticTokenTypes #
HasTokenType SemanticTokenRelative SemanticTokenTypes # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods tokenType :: Lens' SemanticTokenRelative SemanticTokenTypes #

class HasDeltaLine s a | s -> a where #

Methods

deltaLine :: Lens' s a #

#### Instances

Instances details

HasDeltaLine SemanticTokenRelative UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods deltaLine :: Lens' SemanticTokenRelative UInt #

class HasDeltaStartChar s a | s -> a where #

Methods

deltaStartChar :: Lens' s a #

#### Instances

Instances details

HasDeltaStartChar SemanticTokenRelative UInt # |
Instance details Defined in Language.LSP.Protocol.Types.Lens Methods deltaStartChar :: Lens' SemanticTokenRelative UInt #

class HasJsonrpc s a | s -> a where #

Methods

jsonrpc :: Lens' s a #

#### Instances

Instances details

HasJsonrpc NotificationMessage Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' NotificationMessage Text #
HasJsonrpc RequestMessage Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' RequestMessage Text #
HasJsonrpc ResponseMessage Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' ResponseMessage Text #
HasJsonrpc (TNotificationMessage m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' (TNotificationMessage m) Text #
HasJsonrpc (TRequestMessage m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' (TRequestMessage m) Text #
HasJsonrpc (TResponseMessage m) Text # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods jsonrpc :: Lens' (TResponseMessage m) Text #

class HasParams s a | s -> a where #

Methods

params :: Lens' s a #

#### Instances

Instances details

HasParams NotificationMessage (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods params :: Lens' NotificationMessage (Maybe Value) #
HasParams RequestMessage (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods params :: Lens' RequestMessage (Maybe Value) #
a ~ MessageParams m => HasParams (TNotificationMessage m) a # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods params :: Lens' (TNotificationMessage m) a #
a ~ MessageParams m => HasParams (TRequestMessage m) a # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods params :: Lens' (TRequestMessage m) a #

class HasError s a | s -> a where #

Methods

error :: Lens' s a #

#### Instances

Instances details

HasError ResponseMessage (Maybe ResponseError) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods error :: Lens' ResponseMessage (Maybe ResponseError) #

class HasResult s a | s -> a where #

Methods

result :: Lens' s a #

#### Instances

Instances details

HasResult ResponseMessage (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods result :: Lens' ResponseMessage (Maybe Value) #
a ~ Either ResponseError (MessageResult m) => HasResult (TResponseMessage m) a # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods result :: Lens' (TResponseMessage m) a #

class HasXdata s a | s -> a where #

Methods

xdata :: Lens' s a #

#### Instances

Instances details

HasXdata ResponseError (Maybe Value) # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods xdata :: Lens' ResponseError (Maybe Value) #
a ~ Maybe (ErrorData m) => HasXdata (TResponseError m) a # |
Instance details Defined in Language.LSP.Protocol.Message.Lens Methods xdata :: Lens' (TResponseError m) a #